/*--------------------------------------------------------------*/
/*	Copyright (C) Siemens AG (1998). All Rights Reserved		*/
/*	Product:		SIMATIC PDM  								*/
/*																*/
/*	Device:		TRANSMITTER - TEMPERATURE Profil 3	INOR ProfIPAQ		*/
/*	Description:	Device Description							*/
/*	Dictionary:		SIPADC01.dct								*/
/*																*/
/*  $Revision:   1.10  $										*/
/*  $Date:   27 Sep 2000   $							*/
/*--------------------------------------------------------------*/

MANUFACTURER	91,
DEVICE_TYPE		1,
DEVICE_REVISION 0x0300,
DD_REVISION		1


/* Includes ------------------------------------------------------ */

#include "SIPAST_CommError.inc"

#include "SI_HlpM.inc"
#include "SI_FileM.inc"
#include "SI_OptM.inc"

#include "SIPAST.inc"


/***********************************************************************/

#define func_upper_value			func_pv_scale_upper_value
#define func_lower_value			func_pv_scale_lower_value
#define func_tot_total_value		func_tot_out_total_value
#define func_tot_total_value_help	func_tot_out_total_value_help

#define	BLOCK_MODE_AUTO				0x08
#define	BLOCK_MODE_MAN				0x10
#define	BLOCK_MODE_OUT_OF_SERVICE	0x80

#define	DEVICE_TYPE					[menu_table_sensor_temperature]

#define	CHANNEL_PRIMARY				0x0108	
#define	CHANNEL_SECONDARY_1			0x010A
#define	CHANNEL_SECONDARY_2			0x010B

#define FUNC_AI_FAIL_SAFE_VALUE		0
#define FUNC_AI_STORING_LAST_SETPOINT	1
#define FUNC_AI_FAIL_SAFE_POSITION		2

#define VALID_TC							\
	IF (trans1_lin_type >= 128)				\
	{										\
		IF (trans1_lin_type <= 144)			\
		{									\
			TRUE;							\
		}									\
		ELSE								\
		{									\
			FALSE;							\
		}									\
	}										\
	ELSE									\
	{										\
		FALSE;								\
	}
 
#define VALID_RTD							\
	IF (trans1_lin_type >= 100)				\
	{										\
		IF (trans1_lin_type <= 127)			\
		{									\
			TRUE;							\
		}									\
		ELSE								\
		{									\
			FALSE;							\
		}									\
	}										\
	ELSE									\
	{										\
		FALSE;								\
	}


#define VALID_NOT_TC						\
	IF( trans1_lin_type >= 128 )			\
	{	/* TC */							\
		FALSE ;								\
	}										\
	ELSE									\
	{										\
		TRUE ;								\
	}										\

#define VALID_NOT_TC1						\
	IF( trans1_lin_type >= 128 )			\
	{	/* TC */							\
		FALSE ;								\
	}										\
	ELSE									\
	{										\
		SELECT (trans1_sensor_measure_type) \
			{								\
			CASE 0:							\
				IF ( trans1_sensor_connection == 0 ) \
				{							\
					TRUE;					\
				}							\
				ELSE						\
				{							\
					FALSE;					\
				}							\
			CASE 1:							\
				FALSE;						\
			CASE 128:						\
				FALSE;						\
			CASE 129:						\
				FALSE;						\
			CASE 192:						\
				FALSE;						\
			CASE 193:						\
				FALSE;						\
			DEFAULT:						\
				FALSE;						\
			}								\
	}

#define VALID_NOT_TC2						\
	IF( trans1_lin_type >= 128 )			\
	{	/* TC */							\
		FALSE ;								\
	}										\
	ELSE									\
	{										\
		SELECT (trans1_sensor_measure_type) \
			{								\
			CASE 0:							\
				FALSE;						\
			CASE 1:							\
				IF ( trans1_sensor_connection == 0 ) \
				{							\
					TRUE;					\
				}							\
				ELSE						\
				{							\
					FALSE;					\
				}							\
			CASE 128:						\
				FALSE;						\
			CASE 129:						\
				FALSE;						\
			CASE 192:						\
				FALSE;						\
			CASE 193:						\
				FALSE;						\
			DEFAULT:						\
				FALSE;						\
			}								\
	}

#define VALID_CHECK1						\
		SELECT (trans1_sensor_measure_type) \
			{								\
			CASE 0:							\
				TRUE;						\
			CASE 1:							\
				FALSE;						\
			CASE 128:						\
				TRUE;						\
			CASE 129:						\
				TRUE;						\
			CASE 192:						\
				TRUE;						\
			CASE 193:						\
				TRUE;						\
			DEFAULT:						\
				FALSE;						\
			}

#define VALID_CHECK2						\
		SELECT (trans1_sensor_measure_type) \
			{								\
			CASE 0:							\
				FALSE;						\
			CASE 1:							\
				TRUE;						\
			CASE 128:						\
				TRUE;						\
			CASE 129:						\
				TRUE;						\
			CASE 192:						\
				TRUE;						\
			CASE 193:						\
				TRUE;						\
			DEFAULT:						\
				FALSE;						\
			}

#define STATUS_INPUT_LIMIT (quality)					\
	IF ((quality) == 0x20)								\
	{													\
		{ 0x00,	[status_limit_OK]				},		\
		{ 0x03,	[status_limit_VALUE_CONSTANT]	}		\
	}													\
	ELSE {												\
		IF ((quality) == 0x30)							\
		{												\
			{ 0x00,	[status_limit_OK]				},	\
			{ 0x03,	[status_limit_VALUE_CONSTANT]	}	\
		}												\
		 ELSE {											\
			{ 0x00,	[status_limit_OK]				},	\
			{ 0x01,	[status_limit_UNDERFLOW]		},	\
			{ 0x02,	[status_limit_OVERFLOW]			},	\
			{ 0x03,	[status_limit_VALUE_CONSTANT]	}	\
		}												\
	}

#define STATUS_OUTPUT_LIMIT							\
		{ 0x00,	[status_limit_OK]				},	\
		{ 0x01,	[status_limit_UNDERFLOW]		},	\
		{ 0x02,	[status_limit_OVERFLOW]			},	\
		{ 0x03,	[status_limit_VALUE_CONSTANT]	}


#define STATUS_INPUT_NO_RCAS				\
		{ 0x20,	[status_GOOD_00]		},	\
		{ 0x21,	[status_GOOD_01]		},	\
		{ 0x22,	[status_GOOD_02]		},	\
		{ 0x23,	[status_GOOD_03]		},	\
		{ 0x24,	[status_GOOD_04]		},	\
		{ 0x25,	[status_GOOD_05]		},	\
		{ 0x26,	[status_GOOD_06]		},	\
		{ 0x28,	[status_GOOD_08]		},	\
		{ 0x10,	[status_UNCERTAIN_00]	},	\
		{ 0x11,	[status_UNCERTAIN_01]	},	\
		{ 0x12,	[status_UNCERTAIN_02]	},	\
		{ 0x13,	[status_UNCERTAIN_03]	},	\
		{ 0x14,	[status_UNCERTAIN_04]	},	\
		{ 0x15,	[status_UNCERTAIN_05]	},	\
		{ 0x16,	[status_UNCERTAIN_06]	},	\
		{ 0x17,	[status_UNCERTAIN_07]	},	\
		{ 0x00,	[status_BAD_00]			},	\
		{ 0x01,	[status_BAD_01]			},	\
		{ 0x03,	[status_BAD_03]			},	\
		{ 0x04,	[status_BAD_04]			},	\
		{ 0x06,	[status_BAD_06]			},	\
		{ 0x07,	[status_BAD_07]			}

#define STATUS_OUTPUT_NO_RCAS				\
		{ 0x20,	[status_GOOD_00]		},	\
		{ 0x21,	[status_GOOD_01]		},	\
		{ 0x22,	[status_GOOD_02]		},	\
		{ 0x23,	[status_GOOD_03]		},	\
		{ 0x24,	[status_GOOD_04]		},	\
		{ 0x25,	[status_GOOD_05]		},	\
		{ 0x26,	[status_GOOD_06]		}	\
		{ 0x28,	[status_GOOD_08]		},	\
		{ 0x10,	[status_UNCERTAIN_00]	},	\
		{ 0x11,	[status_UNCERTAIN_01]	},	\
		{ 0x12,	[status_UNCERTAIN_02]	},	\
		{ 0x13,	[status_UNCERTAIN_03]	},	\
		{ 0x14,	[status_UNCERTAIN_04]	},	\
		{ 0x15,	[status_UNCERTAIN_05]	},	\
		{ 0x16,	[status_UNCERTAIN_06]	},	\
		{ 0x17,	[status_UNCERTAIN_07]	},	\
		{ 0x00,	[status_BAD_00]			},	\
		{ 0x01,	[status_BAD_01]			},	\
		{ 0x02,	[status_BAD_02]			},	\
		{ 0x03,	[status_BAD_03]			},	\
		{ 0x04,	[status_BAD_04]			},	\
		{ 0x05,	[status_BAD_05]			},	\
		{ 0x06,	[status_BAD_06]			},	\
		{ 0x07,	[status_BAD_07]			}

#define UNIT_LIST									    \
		{ 1000,	[unit_1000],	[unit_1000_help]	},	\
		{ 1001,	[unit_1001],	[unit_1001_help]	},	\
		{ 1002,	[unit_1002],	[unit_1002_help]	},	\
		{ 1003,	[unit_1003],	[unit_1003_help]	},	\
		{ 1004,	[unit_1004],	[unit_1004_help]	},	\
		{ 1005,	[unit_1005],	[unit_1005_help]	},	\
		{ 1006,	[unit_1006],	[unit_1006_help]	},	\
		{ 1007,	[unit_1007],	[unit_1007_help]	},	\
		{ 1008,	[unit_1008],	[unit_1008_help]	},	\
		{ 1009,	[unit_1009],	[unit_1009_help]	},	\
		{ 1010,	[unit_1010],	[unit_1010_help]	},	\
		{ 1011,	[unit_1011],	[unit_1011_help]	},	\
		{ 1012,	[unit_1012],	[unit_1012_help]	},	\
		{ 1013,	[unit_1013],	[unit_1013_help]	},	\
		{ 1014,	[unit_1014],	[unit_1014_help]	},	\
		{ 1015,	[unit_1015],	[unit_1015_help]	},	\
		{ 1016,	[unit_1016],	[unit_1016_help]	},	\
		{ 1017,	[unit_1017],	[unit_1017_help]	},	\
		{ 1018,	[unit_1018],	[unit_1018_help]	},	\
		{ 1019,	[unit_1019],	[unit_1019_help]	},	\
		{ 1020,	[unit_1020],	[unit_1020_help]	},	\
		{ 1021,	[unit_1021],	[unit_1021_help]	},	\
		{ 1022,	[unit_1022],	[unit_1022_help]	},	\
		{ 1023,	[unit_1023],	[unit_1023_help]	},	\
		{ 1024,	[unit_1024],	[unit_1024_help]	},	\
		{ 1025,	[unit_1025],	[unit_1025_help]	},	\
		{ 1026,	[unit_1026],	[unit_1026_help]	},	\
		{ 1027,	[unit_1027],	[unit_1027_help]	},	\
		{ 1028,	[unit_1028],	[unit_1028_help]	},	\
		{ 1029,	[unit_1029],	[unit_1029_help]	},	\
		{ 1030,	[unit_1030],	[unit_1030_help]	},	\
		{ 1031,	[unit_1031],	[unit_1031_help]	},	\
		{ 1032,	[unit_1032],	[unit_1032_help]	},	\
		{ 1033,	[unit_1033],	[unit_1033_help]	},	\
		{ 1034,	[unit_1034],	[unit_1034_help]	},	\
		{ 1035,	[unit_1035],	[unit_1035_help]	},	\
		{ 1036,	[unit_1036],	[unit_1036_help]	},	\
		{ 1037,	[unit_1037],	[unit_1037_help]	},	\
		{ 1038,	[unit_1038],	[unit_1038_help]	},	\
		{ 1039,	[unit_1039],	[unit_1039_help]	},	\
		{ 1040,	[unit_1040],	[unit_1040_help]	},	\
		{ 1041,	[unit_1041],	[unit_1041_help]	},	\
		{ 1042,	[unit_1042],	[unit_1042_help]	},	\
		{ 1043,	[unit_1043],	[unit_1043_help]	},	\
		{ 1044,	[unit_1044],	[unit_1044_help]	},	\
		{ 1045,	[unit_1045],	[unit_1045_help]	},	\
		{ 1046,	[unit_1046],	[unit_1046_help]	},	\
		{ 1047,	[unit_1047],	[unit_1047_help]	},	\
		{ 1048,	[unit_1048],	[unit_1048_help]	},	\
		{ 1049,	[unit_1049],	[unit_1049_help]	},	\
		{ 1050,	[unit_1050],	[unit_1050_help]	},	\
		{ 1051,	[unit_1051],	[unit_1051_help]	},	\
		{ 1052,	[unit_1052],	[unit_1052_help]	},	\
		{ 1053,	[unit_1053],	[unit_1053_help]	},	\
		{ 1054,	[unit_1054],	[unit_1054_help]	},	\
		{ 1055,	[unit_1055],	[unit_1055_help]	},	\
		{ 1056,	[unit_1056],	[unit_1056_help]	},	\
		{ 1057,	[unit_1057],	[unit_1057_help]	},	\
		{ 1058,	[unit_1058],	[unit_1058_help]	},	\
		{ 1059,	[unit_1059],	[unit_1059_help]	},	\
		{ 1060,	[unit_1060],	[unit_1060_help]	},	\
		{ 1061,	[unit_1061],	[unit_1061_help]	},	\
		{ 1062,	[unit_1062],	[unit_1062_help]	},	\
		{ 1063,	[unit_1063],	[unit_1063_help]	},	\
		{ 1064,	[unit_1064],	[unit_1064_help]	},	\
		{ 1065,	[unit_1065],	[unit_1065_help]	},	\
		{ 1066,	[unit_1066],	[unit_1066_help]	},	\
		{ 1067,	[unit_1067],	[unit_1067_help]	},	\
		{ 1068,	[unit_1068],	[unit_1068_help]	},	\
		{ 1069,	[unit_1069],	[unit_1069_help]	},	\
		{ 1070,	[unit_1070],	[unit_1070_help]	},	\
		{ 1071,	[unit_1071],	[unit_1071_help]	},	\
		{ 1072,	[unit_1072],	[unit_1072_help]	},	\
		{ 1073,	[unit_1073],	[unit_1073_help]	},	\
		{ 1074,	[unit_1074],	[unit_1074_help]	},	\
		{ 1075,	[unit_1075],	[unit_1075_help]	},	\
		{ 1076,	[unit_1076],	[unit_1076_help]	},	\
		{ 1077,	[unit_1077],	[unit_1077_help]	},	\
		{ 1078,	[unit_1078],	[unit_1078_help]	},	\
		{ 1079,	[unit_1079],	[unit_1079_help]	},	\
		{ 1080,	[unit_1080],	[unit_1080_help]	},	\
		{ 1081,	[unit_1081],	[unit_1081_help]	},	\
		{ 1082,	[unit_1082],	[unit_1082_help]	},	\
		{ 1083,	[unit_1083],	[unit_1083_help]	},	\
		{ 1084,	[unit_1084],	[unit_1084_help]	},	\
		{ 1085,	[unit_1085],	[unit_1085_help]	},	\
		{ 1086,	[unit_1086],	[unit_1086_help]	},	\
		{ 1087,	[unit_1087],	[unit_1087_help]	},	\
		{ 1088,	[unit_1088],	[unit_1088_help]	},	\
		{ 1089,	[unit_1089],	[unit_1089_help]	},	\
		{ 1090,	[unit_1090],	[unit_1090_help]	},	\
		{ 1091,	[unit_1091],	[unit_1091_help]	},	\
		{ 1092,	[unit_1092],	[unit_1092_help]	},	\
		{ 1093,	[unit_1093],	[unit_1093_help]	},	\
		{ 1094,	[unit_1094],	[unit_1094_help]	},	\
		{ 1095,	[unit_1095],	[unit_1095_help]	},	\
		{ 1096,	[unit_1096],	[unit_1096_help]	},	\
		{ 1097,	[unit_1097],	[unit_1097_help]	},	\
		{ 1098,	[unit_1098],	[unit_1098_help]	},	\
		{ 1099,	[unit_1099],	[unit_1099_help]	},	\
		{ 1100,	[unit_1100],	[unit_1100_help]	},	\
		{ 1101,	[unit_1101],	[unit_1101_help]	},	\
		{ 1102,	[unit_1102],	[unit_1102_help]	},	\
		{ 1103,	[unit_1103],	[unit_1103_help]	},	\
		{ 1104,	[unit_1104],	[unit_1104_help]	},	\
		{ 1105,	[unit_1105],	[unit_1105_help]	},	\
		{ 1106,	[unit_1106],	[unit_1106_help]	},	\
		{ 1107,	[unit_1107],	[unit_1107_help]	},	\
		{ 1108,	[unit_1108],	[unit_1108_help]	},	\
		{ 1109,	[unit_1109],	[unit_1109_help]	},	\
		{ 1110,	[unit_1110],	[unit_1110_help]	},	\
		{ 1111,	[unit_1111],	[unit_1111_help]	},	\
		{ 1112,	[unit_1112],	[unit_1112_help]	},	\
		{ 1113,	[unit_1113],	[unit_1113_help]	},	\
		{ 1114,	[unit_1114],	[unit_1114_help]	},	\
		{ 1115,	[unit_1115],	[unit_1115_help]	},	\
		{ 1116,	[unit_1116],	[unit_1116_help]	},	\
		{ 1117,	[unit_1117],	[unit_1117_help]	},	\
		{ 1118,	[unit_1118],	[unit_1118_help]	},	\
		{ 1119,	[unit_1119],	[unit_1119_help]	},	\
		{ 1120,	[unit_1120],	[unit_1120_help]	},	\
		{ 1121,	[unit_1121],	[unit_1121_help]	},	\
		{ 1122,	[unit_1122],	[unit_1122_help]	},	\
		{ 1123,	[unit_1123],	[unit_1123_help]	},	\
		{ 1124,	[unit_1124],	[unit_1124_help]	},	\
		{ 1125,	[unit_1125],	[unit_1125_help]	},	\
		{ 1126,	[unit_1126],	[unit_1126_help]	},	\
		{ 1127,	[unit_1127],	[unit_1127_help]	},	\
		{ 1128,	[unit_1128],	[unit_1128_help]	},	\
		{ 1129,	[unit_1129],	[unit_1129_help]	},	\
		{ 1130,	[unit_1130],	[unit_1130_help]	},	\
		{ 1131,	[unit_1131],	[unit_1131_help]	},	\
		{ 1132,	[unit_1132],	[unit_1132_help]	},	\
		{ 1133,	[unit_1133],	[unit_1133_help]	},	\
		{ 1134,	[unit_1134],	[unit_1134_help]	},	\
		{ 1135,	[unit_1135],	[unit_1135_help]	},	\
		{ 1136,	[unit_1136],	[unit_1136_help]	},	\
		{ 1137,	[unit_1137],	[unit_1137_help]	},	\
		{ 1138,	[unit_1138],	[unit_1138_help]	},	\
		{ 1139,	[unit_1139],	[unit_1139_help]	},	\
		{ 1140,	[unit_1140],	[unit_1140_help]	},	\
		{ 1141,	[unit_1141],	[unit_1141_help]	},	\
		{ 1142,	[unit_1142],	[unit_1142_help]	},	\
		{ 1143,	[unit_1143],	[unit_1143_help]	},	\
		{ 1144,	[unit_1144],	[unit_1144_help]	},	\
		{ 1145,	[unit_1145],	[unit_1145_help]	},	\
		{ 1146,	[unit_1146],	[unit_1146_help]	},	\
		{ 1147,	[unit_1147],	[unit_1147_help]	},	\
		{ 1148,	[unit_1148],	[unit_1148_help]	},	\
		{ 1149,	[unit_1149],	[unit_1149_help]	},	\
		{ 1150,	[unit_1150],	[unit_1150_help]	},	\
		{ 1151,	[unit_1151],	[unit_1151_help]	},	\
		{ 1152,	[unit_1152],	[unit_1152_help]	},	\
		{ 1153,	[unit_1153],	[unit_1153_help]	},	\
		{ 1154,	[unit_1154],	[unit_1154_help]	},	\
		{ 1155,	[unit_1155],	[unit_1155_help]	},	\
		{ 1156,	[unit_1156],	[unit_1156_help]	},	\
		{ 1157,	[unit_1157],	[unit_1157_help]	},	\
		{ 1158,	[unit_1158],	[unit_1158_help]	},	\
		{ 1159,	[unit_1159],	[unit_1159_help]	},	\
		{ 1160,	[unit_1160],	[unit_1160_help]	},	\
		{ 1161,	[unit_1161],	[unit_1161_help]	},	\
		{ 1162,	[unit_1162],	[unit_1162_help]	},	\
		{ 1163,	[unit_1163],	[unit_1163_help]	},	\
		{ 1164,	[unit_1164],	[unit_1164_help]	},	\
		{ 1165,	[unit_1165],	[unit_1165_help]	},	\
		{ 1166,	[unit_1166],	[unit_1166_help]	},	\
		{ 1167,	[unit_1167],	[unit_1167_help]	},	\
		{ 1168,	[unit_1168],	[unit_1168_help]	},	\
		{ 1169,	[unit_1169],	[unit_1169_help]	},	\
		{ 1170,	[unit_1170],	[unit_1170_help]	},	\
		{ 1171,	[unit_1171],	[unit_1171_help]	},	\
		{ 1172,	[unit_1172],	[unit_1172_help]	},	\
		{ 1173,	[unit_1173],	[unit_1173_help]	},	\
		{ 1174,	[unit_1174],	[unit_1174_help]	},	\
		{ 1175,	[unit_1175],	[unit_1175_help]	},	\
		{ 1176,	[unit_1176],	[unit_1176_help]	},	\
		{ 1177,	[unit_1177],	[unit_1177_help]	},	\
		{ 1178,	[unit_1178],	[unit_1178_help]	},	\
		{ 1179,	[unit_1179],	[unit_1179_help]	},	\
		{ 1180,	[unit_1180],	[unit_1180_help]	},	\
		{ 1181,	[unit_1181],	[unit_1181_help]	},	\
		{ 1182,	[unit_1182],	[unit_1182_help]	},	\
		{ 1183,	[unit_1183],	[unit_1183_help]	},	\
		{ 1184,	[unit_1184],	[unit_1184_help]	},	\
		{ 1185,	[unit_1185],	[unit_1185_help]	},	\
		{ 1186,	[unit_1186],	[unit_1186_help]	},	\
		{ 1187,	[unit_1187],	[unit_1187_help]	},	\
		{ 1188,	[unit_1188],	[unit_1188_help]	},	\
		{ 1189,	[unit_1189],	[unit_1189_help]	},	\
		{ 1190,	[unit_1190],	[unit_1190_help]	},	\
		{ 1191,	[unit_1191],	[unit_1191_help]	},	\
		{ 1192,	[unit_1192],	[unit_1192_help]	},	\
		{ 1193,	[unit_1193],	[unit_1193_help]	},	\
		{ 1194,	[unit_1194],	[unit_1194_help]	},	\
		{ 1195,	[unit_1195],	[unit_1195_help]	},	\
		{ 1196,	[unit_1196],	[unit_1196_help]	},	\
		{ 1197,	[unit_1197],	[unit_1197_help]	},	\
		{ 1198,	[unit_1198],	[unit_1198_help]	},	\
		{ 1199,	[unit_1199],	[unit_1199_help]	},	\
		{ 1200,	[unit_1200],	[unit_1200_help]	},	\
		{ 1201,	[unit_1201],	[unit_1201_help]	},	\
		{ 1202,	[unit_1202],	[unit_1202_help]	},	\
		{ 1203,	[unit_1203],	[unit_1203_help]	},	\
		{ 1204,	[unit_1204],	[unit_1204_help]	},	\
		{ 1205,	[unit_1205],	[unit_1205_help]	},	\
		{ 1206,	[unit_1206],	[unit_1206_help]	},	\
		{ 1207,	[unit_1207],	[unit_1207_help]	},	\
		{ 1208,	[unit_1208],	[unit_1208_help]	},	\
		{ 1209,	[unit_1209],	[unit_1209_help]	},	\
		{ 1210,	[unit_1210],	[unit_1210_help]	},	\
		{ 1211,	[unit_1211],	[unit_1211_help]	},	\
		{ 1212,	[unit_1212],	[unit_1212_help]	},	\
		{ 1213,	[unit_1213],	[unit_1213_help]	},	\
		{ 1214,	[unit_1214],	[unit_1214_help]	},	\
		{ 1215,	[unit_1215],	[unit_1215_help]	},	\
		{ 1216,	[unit_1216],	[unit_1216_help]	},	\
		{ 1217,	[unit_1217],	[unit_1217_help]	},	\
		{ 1218,	[unit_1218],	[unit_1218_help]	},	\
		{ 1219,	[unit_1219],	[unit_1219_help]	},	\
		{ 1220,	[unit_1220],	[unit_1220_help]	},	\
		{ 1221,	[unit_1221],	[unit_1221_help]	},	\
		{ 1222,	[unit_1222],	[unit_1222_help]	},	\
		{ 1223,	[unit_1223],	[unit_1223_help]	},	\
		{ 1224,	[unit_1224],	[unit_1224_help]	},	\
		{ 1225,	[unit_1225],	[unit_1225_help]	},	\
		{ 1226,	[unit_1226],	[unit_1226_help]	},	\
		{ 1227,	[unit_1227],	[unit_1227_help]	},	\
		{ 1228,	[unit_1228],	[unit_1228_help]	},	\
		{ 1229,	[unit_1229],	[unit_1229_help]	},	\
		{ 1230,	[unit_1230],	[unit_1230_help]	},	\
		{ 1231,	[unit_1231],	[unit_1231_help]	},	\
		{ 1232,	[unit_1232],	[unit_1232_help]	},	\
		{ 1233,	[unit_1233],	[unit_1233_help]	},	\
		{ 1234,	[unit_1234],	[unit_1234_help]	},	\
		{ 1235,	[unit_1235],	[unit_1235_help]	},	\
		{ 1236,	[unit_1236],	[unit_1236_help]	},	\
		{ 1237,	[unit_1237],	[unit_1237_help]	},	\
		{ 1238,	[unit_1238],	[unit_1238_help]	},	\
		{ 1239,	[unit_1239],	[unit_1239_help]	},	\
		{ 1240,	[unit_1240],	[unit_1240_help]	},	\
		{ 1241,	[unit_1241],	[unit_1241_help]	},	\
		{ 1242,	[unit_1242],	[unit_1242_help]	},	\
		{ 1243,	[unit_1243],	[unit_1243_help]	},	\
		{ 1244,	[unit_1244],	[unit_1244_help]	},	\
		{ 1245,	[unit_1245],	[unit_1245_help]	},	\
		{ 1246,	[unit_1246],	[unit_1246_help]	},	\
		{ 1247,	[unit_1247],	[unit_1247_help]	},	\
		{ 1248,	[unit_1248],	[unit_1248_help]	},	\
		{ 1249,	[unit_1249],	[unit_1249_help]	},	\
		{ 1250,	[unit_1250],	[unit_1250_help]	},	\
		{ 1251,	[unit_1251],	[unit_1251_help]	},	\
		{ 1252,	[unit_1252],	[unit_1252_help]	},	\
		{ 1253,	[unit_1253],	[unit_1253_help]	},	\
		{ 1254,	[unit_1254],	[unit_1254_help]	},	\
		{ 1255,	[unit_1255],	[unit_1255_help]	},	\
		{ 1256,	[unit_1256],	[unit_1256_help]	},	\
		{ 1257,	[unit_1257],	[unit_1257_help]	},	\
		{ 1258,	[unit_1258],	[unit_1258_help]	},	\
		{ 1259,	[unit_1259],	[unit_1259_help]	},	\
		{ 1260,	[unit_1260],	[unit_1260_help]	},	\
		{ 1261,	[unit_1261],	[unit_1261_help]	},	\
		{ 1262,	[unit_1262],	[unit_1262_help]	},	\
		{ 1263,	[unit_1263],	[unit_1263_help]	},	\
		{ 1264,	[unit_1264],	[unit_1264_help]	},	\
		{ 1265,	[unit_1265],	[unit_1265_help]	},	\
		{ 1266,	[unit_1266],	[unit_1266_help]	},	\
		{ 1267,	[unit_1267],	[unit_1267_help]	},	\
		{ 1268,	[unit_1268],	[unit_1268_help]	},	\
		{ 1269,	[unit_1269],	[unit_1269_help]	},	\
		{ 1270,	[unit_1270],	[unit_1270_help]	},	\
		{ 1271,	[unit_1271],	[unit_1271_help]	},	\
		{ 1272,	[unit_1272],	[unit_1272_help]	},	\
		{ 1273,	[unit_1273],	[unit_1273_help]	},	\
		{ 1274,	[unit_1274],	[unit_1274_help]	},	\
		{ 1275,	[unit_1275],	[unit_1275_help]	},	\
		{ 1276,	[unit_1276],	[unit_1276_help]	},	\
		{ 1277,	[unit_1277],	[unit_1277_help]	},	\
		{ 1278,	[unit_1278],	[unit_1278_help]	},	\
		{ 1279,	[unit_1279],	[unit_1279_help]	},	\
		{ 1280,	[unit_1280],	[unit_1280_help]	},	\
		{ 1281,	[unit_1281],	[unit_1281_help]	},	\
		{ 1282,	[unit_1282],	[unit_1282_help]	},	\
		{ 1283,	[unit_1283],	[unit_1283_help]	},	\
		{ 1284,	[unit_1284],	[unit_1284_help]	},	\
		{ 1285,	[unit_1285],	[unit_1285_help]	},	\
		{ 1286,	[unit_1286],	[unit_1286_help]	},	\
		{ 1287,	[unit_1287],	[unit_1287_help]	},	\
		{ 1288,	[unit_1288],	[unit_1288_help]	},	\
		{ 1289,	[unit_1289],	[unit_1289_help]	},	\
		{ 1290,	[unit_1290],	[unit_1290_help]	},	\
		{ 1291,	[unit_1291],	[unit_1291_help]	},	\
		{ 1292,	[unit_1292],	[unit_1292_help]	},	\
		{ 1293,	[unit_1293],	[unit_1293_help]	},	\
		{ 1294,	[unit_1294],	[unit_1294_help]	},	\
		{ 1295,	[unit_1295],	[unit_1295_help]	},	\
		{ 1296,	[unit_1296],	[unit_1296_help]	},	\
		{ 1297,	[unit_1297],	[unit_1297_help]	},	\
		{ 1298,	[unit_1298],	[unit_1298_help]	},	\
		{ 1299,	[unit_1299],	[unit_1299_help]	},	\
		{ 1300,	[unit_1300],	[unit_1300_help]	},	\
		{ 1301,	[unit_1301],	[unit_1301_help]	},	\
		{ 1302,	[unit_1302],	[unit_1302_help]	},	\
		{ 1303,	[unit_1303],	[unit_1303_help]	},	\
		{ 1304,	[unit_1304],	[unit_1304_help]	},	\
		{ 1305,	[unit_1305],	[unit_1305_help]	},	\
		{ 1306,	[unit_1306],	[unit_1306_help]	},	\
		{ 1307,	[unit_1307],	[unit_1307_help]	},	\
		{ 1308,	[unit_1308],	[unit_1308_help]	},	\
		{ 1309,	[unit_1309],	[unit_1309_help]	},	\
		{ 1310,	[unit_1310],	[unit_1310_help]	},	\
		{ 1311,	[unit_1311],	[unit_1311_help]	},	\
		{ 1312,	[unit_1312],	[unit_1312_help]	},	\
		{ 1313,	[unit_1313],	[unit_1313_help]	},	\
		{ 1314,	[unit_1314],	[unit_1314_help]	},	\
		{ 1315,	[unit_1315],	[unit_1315_help]	},	\
		{ 1316,	[unit_1316],	[unit_1316_help]	},	\
		{ 1317,	[unit_1317],	[unit_1317_help]	},	\
		{ 1318,	[unit_1318],	[unit_1318_help]	},	\
		{ 1319,	[unit_1319],	[unit_1319_help]	},	\
		{ 1320,	[unit_1320],	[unit_1320_help]	},	\
		{ 1321,	[unit_1321],	[unit_1321_help]	},	\
		{ 1322,	[unit_1322],	[unit_1322_help]	},	\
		{ 1323,	[unit_1323],	[unit_1323_help]	},	\
		{ 1324,	[unit_1324],	[unit_1324_help]	},	\
		{ 1325,	[unit_1325],	[unit_1325_help]	},	\
		{ 1326,	[unit_1326],	[unit_1326_help]	},	\
		{ 1327,	[unit_1327],	[unit_1327_help]	},	\
		{ 1328,	[unit_1328],	[unit_1328_help]	},	\
		{ 1329,	[unit_1329],	[unit_1329_help]	},	\
		{ 1330,	[unit_1330],	[unit_1330_help]	},	\
		{ 1331,	[unit_1331],	[unit_1331_help]	},	\
		{ 1332,	[unit_1332],	[unit_1332_help]	},	\
		{ 1333,	[unit_1333],	[unit_1333_help]	},	\
		{ 1334,	[unit_1334],	[unit_1334_help]	},	\
		{ 1335,	[unit_1335],	[unit_1335_help]	},	\
		{ 1336,	[unit_1336],	[unit_1336_help]	},	\
		{ 1337,	[unit_1337],	[unit_1337_help]	},	\
		{ 1338,	[unit_1338],	[unit_1338_help]	},	\
		{ 1339,	[unit_1339],	[unit_1339_help]	},	\
		{ 1340,	[unit_1340],	[unit_1340_help]	},	\
		{ 1341,	[unit_1341],	[unit_1341_help]	},	\
		{ 1342,	[unit_1342],	[unit_1342_help]	},	\
		{ 1343,	[unit_1343],	[unit_1343_help]	},	\
		{ 1344,	[unit_1344],	[unit_1344_help]	},	\
		{ 1345,	[unit_1345],	[unit_1345_help]	},	\
		{ 1346,	[unit_1346],	[unit_1346_help]	},	\
		{ 1347,	[unit_1347],	[unit_1347_help]	},	\
		{ 1348,	[unit_1348],	[unit_1348_help]	},	\
		{ 1349,	[unit_1349],	[unit_1349_help]	},	\
		{ 1350,	[unit_1350],	[unit_1350_help]	},	\
		{ 1351,	[unit_1351],	[unit_1351_help]	},	\
		{ 1352,	[unit_1352],	[unit_1352_help]	},	\
		{ 1353,	[unit_1353],	[unit_1353_help]	},	\
		{ 1354,	[unit_1354],	[unit_1354_help]	},	\
		{ 1355,	[unit_1355],	[unit_1355_help]	},	\
		{ 1356,	[unit_1356],	[unit_1356_help]	},	\
		{ 1357,	[unit_1357],	[unit_1357_help]	},	\
		{ 1358,	[unit_1358],	[unit_1358_help]	},	\
		{ 1359,	[unit_1359],	[unit_1359_help]	},	\
		{ 1360,	[unit_1360],	[unit_1360_help]	},	\
		{ 1361,	[unit_1361],	[unit_1361_help]	},	\
		{ 1362,	[unit_1362],	[unit_1362_help]	},	\
		{ 1363,	[unit_1363],	[unit_1363_help]	},	\
		{ 1364,	[unit_1364],	[unit_1364_help]	},	\
		{ 1365,	[unit_1365],	[unit_1365_help]	},	\
		{ 1366,	[unit_1366],	[unit_1366_help]	},	\
		{ 1367,	[unit_1367],	[unit_1367_help]	},	\
		{ 1368,	[unit_1368],	[unit_1368_help]	},	\
		{ 1369,	[unit_1369],	[unit_1369_help]	},	\
		{ 1370,	[unit_1370],	[unit_1370_help]	},	\
		{ 1371,	[unit_1371],	[unit_1371_help]	},	\
		{ 1372,	[unit_1372],	[unit_1372_help]	},	\
		{ 1373,	[unit_1373],	[unit_1373_help]	},	\
		{ 1374,	[unit_1374],	[unit_1374_help]	},	\
		{ 1375,	[unit_1375],	[unit_1375_help]	},	\
		{ 1376,	[unit_1376],	[unit_1376_help]	},	\
		{ 1377,	[unit_1377],	[unit_1377_help]	},	\
		{ 1378,	[unit_1378],	[unit_1378_help]	},	\
		{ 1379,	[unit_1379],	[unit_1379_help]	},	\
		{ 1380,	[unit_1380],	[unit_1380_help]	},	\
		{ 1381,	[unit_1381],	[unit_1381_help]	},	\
		{ 1382,	[unit_1382],	[unit_1382_help]	},	\
		{ 1383,	[unit_1383],	[unit_1383_help]	},	\
		{ 1384,	[unit_1384],	[unit_1384_help]	},	\
		{ 1385,	[unit_1385],	[unit_1385_help]	},	\
		{ 1386,	[unit_1386],	[unit_1386_help]	},	\
		{ 1387,	[unit_1387],	[unit_1387_help]	},	\
		{ 1388,	[unit_1388],	[unit_1388_help]	},	\
		{ 1389,	[unit_1389],	[unit_1389_help]	},	\
		{ 1390,	[unit_1390],	[unit_1390_help]	},	\
		{ 1391,	[unit_1391],	[unit_1391_help]	},	\
		{ 1392,	[unit_1392],	[unit_1392_help]	},	\
		{ 1393,	[unit_1393],	[unit_1393_help]	},	\
		{ 1394,	[unit_1394],	[unit_1394_help]	},	\
		{ 1395,	[unit_1395],	[unit_1395_help]	},	\
		{ 1396,	[unit_1396],	[unit_1396_help]	},	\
		{ 1397,	[unit_1397],	[unit_1397_help]	},	\
		{ 1398,	[unit_1398],	[unit_1398_help]	},	\
		{ 1399,	[unit_1399],	[unit_1399_help]	},	\
		{ 1400,	[unit_1400],	[unit_1400_help]	},	\
		{ 1401,	[unit_1401],	[unit_1401_help]	},	\
		{ 1402,	[unit_1402],	[unit_1402_help]	},	\
		{ 1403,	[unit_1403],	[unit_1403_help]	},	\
		{ 1404,	[unit_1404],	[unit_1404_help]	},	\
		{ 1405,	[unit_1405],	[unit_1405_help]	},	\
		{ 1406,	[unit_1406],	[unit_1406_help]	},	\
		{ 1407,	[unit_1407],	[unit_1407_help]	},	\
		{ 1408,	[unit_1408],	[unit_1408_help]	},	\
		{ 1409,	[unit_1409],	[unit_1409_help]	},	\
		{ 1410,	[unit_1410],	[unit_1410_help]	},	\
		{ 1411,	[unit_1411],	[unit_1411_help]	},	\
		{ 1412,	[unit_1412],	[unit_1412_help]	},	\
		{ 1413,	[unit_1413],	[unit_1413_help]	},	\
		{ 1414,	[unit_1414],	[unit_1414_help]	},	\
		{ 1415,	[unit_1415],	[unit_1415_help]	},	\
		{ 1416,	[unit_1416],	[unit_1416_help]	},	\
		{ 1417,	[unit_1417],	[unit_1417_help]	},	\
		{ 1418,	[unit_1418],	[unit_1418_help]	},	\
		{ 1419,	[unit_1419],	[unit_1419_help]	},	\
		{ 1420,	[unit_1420],	[unit_1420_help]	},	\
		{ 1421,	[unit_1421],	[unit_1421_help]	},	\
		{ 1422,	[unit_1422],	[unit_1422_help]	},	\
		{ 1423,	[unit_1423],	[unit_1423_help]	},	\
		{ 1424,	[unit_1424],	[unit_1424_help]	},	\
		{ 1425,	[unit_1425],	[unit_1425_help]	},	\
		{ 1426,	[unit_1426],	[unit_1426_help]	},	\
		{ 1427,	[unit_1427],	[unit_1427_help]	},	\
		{ 1428,	[unit_1428],	[unit_1428_help]	},	\
		{ 1429,	[unit_1429],	[unit_1429_help]	},	\
		{ 1430,	[unit_1430],	[unit_1430_help]	},	\
		{ 1431,	[unit_1431],	[unit_1431_help]	},	\
		{ 1432,	[unit_1432],	[unit_1432_help]	},	\
		{ 1433,	[unit_1433],	[unit_1433_help]	},	\
		{ 1434,	[unit_1434],	[unit_1434_help]	},	\
		{ 1435,	[unit_1435],	[unit_1435_help]	},	\
		{ 1436,	[unit_1436],	[unit_1436_help]	},	\
		{ 1437,	[unit_1437],	[unit_1437_help]	},	\
		{ 1438,	[unit_1438],	[unit_1438_help]	},	\
		{ 1439,	[unit_1439],	[unit_1439_help]	},	\
		{ 1440,	[unit_1440],	[unit_1440_help]	},	\
		{ 1441,	[unit_1441],	[unit_1441_help]	},	\
		{ 1442,	[unit_1442],	[unit_1442_help]	},	\
		{ 1443,	[unit_1443],	[unit_1443_help]	},	\
		{ 1444,	[unit_1444],	[unit_1444_help]	},	\
		{ 1445,	[unit_1445],	[unit_1445_help]	},	\
		{ 1446,	[unit_1446],	[unit_1446_help]	},	\
		{ 1447,	[unit_1447],	[unit_1447_help]	},	\
		{ 1448,	[unit_1448],	[unit_1448_help]	},	\
		{ 1449,	[unit_1449],	[unit_1449_help]	},	\
		{ 1450,	[unit_1450],	[unit_1450_help]	},	\
		{ 1451,	[unit_1451],	[unit_1451_help]	},	\
		{ 1452,	[unit_1452],	[unit_1452_help]	},	\
		{ 1453,	[unit_1453],	[unit_1453_help]	},	\
		{ 1454,	[unit_1454],	[unit_1454_help]	},	\
		{ 1455,	[unit_1455],	[unit_1455_help]	},	\
		{ 1456,	[unit_1456],	[unit_1456_help]	},	\
		{ 1457,	[unit_1457],	[unit_1457_help]	},	\
		{ 1458,	[unit_1458],	[unit_1458_help]	},	\
		{ 1459,	[unit_1459],	[unit_1459_help]	},	\
		{ 1460,	[unit_1460],	[unit_1460_help]	},	\
		{ 1461,	[unit_1461],	[unit_1461_help]	},	\
		{ 1462,	[unit_1462],	[unit_1462_help]	},	\
		{ 1463,	[unit_1463],	[unit_1463_help]	},	\
		{ 1464,	[unit_1464],	[unit_1464_help]	},	\
		{ 1465,	[unit_1465],	[unit_1465_help]	},	\
		{ 1466,	[unit_1466],	[unit_1466_help]	},	\
		{ 1467,	[unit_1467],	[unit_1467_help]	},	\
		{ 1468,	[unit_1468],	[unit_1468_help]	},	\
		{ 1469,	[unit_1469],	[unit_1469_help]	},	\
		{ 1470,	[unit_1470],	[unit_1470_help]	},	\
		{ 1471,	[unit_1471],	[unit_1471_help]	},	\
		{ 1472,	[unit_1472],	[unit_1472_help]	},	\
		{ 1473,	[unit_1473],	[unit_1473_help]	},	\
		{ 1474,	[unit_1474],	[unit_1474_help]	},	\
		{ 1475,	[unit_1475],	[unit_1475_help]	},	\
		{ 1476,	[unit_1476],	[unit_1476_help]	},	\
		{ 1477,	[unit_1477],	[unit_1477_help]	},	\
		{ 1478,	[unit_1478],	[unit_1478_help]	},	\
		{ 1479,	[unit_1479],	[unit_1479_help]	},	\
		{ 1480,	[unit_1480],	[unit_1480_help]	},	\
		{ 1481,	[unit_1481],	[unit_1481_help]	},	\
		{ 1482,	[unit_1482],	[unit_1482_help]	},	\
		{ 1483,	[unit_1483],	[unit_1483_help]	},	\
		{ 1484,	[unit_1484],	[unit_1484_help]	},	\
		{ 1485,	[unit_1485],	[unit_1485_help]	},	\
		{ 1486,	[unit_1486],	[unit_1486_help]	},	\
		{ 1487,	[unit_1487],	[unit_1487_help]	},	\
		{ 1488,	[unit_1488],	[unit_1488_help]	},	\
		{ 1489,	[unit_1489],	[unit_1489_help]	},	\
		{ 1490,	[unit_1490],	[unit_1490_help]	},	\
		{ 1491,	[unit_1491],	[unit_1491_help]	},	\
		{ 1492,	[unit_1492],	[unit_1492_help]	},	\
		{ 1493,	[unit_1493],	[unit_1493_help]	},	\
		{ 1494,	[unit_1494],	[unit_1494_help]	},	\
		{ 1495,	[unit_1495],	[unit_1495_help]	},	\
		{ 1496,	[unit_1496],	[unit_1496_help]	},	\
		{ 1497,	[unit_1497],	[unit_1497_help]	},	\
		{ 1498,	[unit_1498],	[unit_1498_help]	},	\
		{ 1499,	[unit_1499],	[unit_1499_help]	},	\
		{ 1500,	[unit_1500],	[unit_1500_help]	},	\
		{ 1501,	[unit_1501],	[unit_1501_help]	},	\
		{ 1502,	[unit_1502],	[unit_1502_help]	},	\
		{ 1503,	[unit_1503],	[unit_1503_help]	},	\
		{ 1504,	[unit_1504],	[unit_1504_help]	},	\
		{ 1505,	[unit_1505],	[unit_1505_help]	},	\
		{ 1506,	[unit_1506],	[unit_1506_help]	},	\
		{ 1507,	[unit_1507],	[unit_1507_help]	},	\
		{ 1508,	[unit_1508],	[unit_1508_help]	},	\
		{ 1509,	[unit_1509],	[unit_1509_help]	},	\
		{ 1510,	[unit_1510],	[unit_1510_help]	},	\
		{ 1511,	[unit_1511],	[unit_1511_help]	},	\
		{ 1512,	[unit_1512],	[unit_1512_help]	},	\
		{ 1513,	[unit_1513],	[unit_1513_help]	},	\
		{ 1514,	[unit_1514],	[unit_1514_help]	},	\
		{ 1515,	[unit_1515],	[unit_1515_help]	},	\
		{ 1516,	[unit_1516],	[unit_1516_help]	},	\
		{ 1517,	[unit_1517],	[unit_1517_help]	},	\
		{ 1518,	[unit_1518],	[unit_1518_help]	},	\
		{ 1519,	[unit_1519],	[unit_1519_help]	},	\
		{ 1520,	[unit_1520],	[unit_1520_help]	}


/***********************************************************************/
/*    RENAME Variables												   */
/***********************************************************************/

COLLECTION OF VARIABLE rename_value
{
    MEMBERS
    {
		PHYS_ST_REV,			phys_st_rev,					[blk_block_object_PHYSICAL];
		TRANS_ST_REV,			trans1_st_rev,					[blk_block_object_TRANSDUCER];
		FUNC_ST_REV,			func1_AI_st_rev,					[blk_block_object_FUNCTION];
	}
}

/***********************************************************************/
/*    Physical Block												   */
/***********************************************************************/

BLOCK physical_block
{
	TYPE	PHYSICAL;
	NUMBER	1;
}

VARIABLE phys_blk_reserve
{
	LABEL		[blk_reserved];
	HELP		[blk_reserved_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (1);
	HANDLING	READ;
}

VARIABLE phys_blk_object
{
	LABEL		[blk_block_object];
	HELP		[blk_block_object_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		{	1,	[blk_block_object_PHYSICAL]	}
	}
	HANDLING	READ;
}

VARIABLE phys_blk_parent_class
{
	LABEL		[blk_parent_class];
	HELP		[phys_blk_parent_class_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED(1)
	{
		{	1,	[phys_blk_parent_class_TRANSMITTER]	}
	}
	HANDLING	READ;
}

VARIABLE phys_blk_class
{
	LABEL		[blk_class];
	HELP		[phys_blk_class_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED(1)
	{
		DEFAULT_VALUE	250;
		{	250,	[not_used]		}
	}
	HANDLING	READ;
}

VARIABLE phys_blk_dd_reference
{
	LABEL		[blk_dd_reference];
	HELP		[blk_dd_reference_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (4);
	HANDLING	READ;
}

VARIABLE phys_blk_dd_rev
{
	LABEL		[blk_dd_rev];
	HELP		[blk_dd_rev_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER(2);
	HANDLING	READ;
}

VARIABLE phys_blk_profile
{
	LABEL		[blk_profile];
	HELP		[blk_profile_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		{ 0x4001,	[blk_profile_PA_COMPACT_A]	},
		{ 0x4002,	[blk_profile_PA_COMPACT_B]	},
		{ 0x4081,	[blk_profile_PA_SIMPLE_A]	},
		{ 0x4082,	[blk_profile_PA_SIMPLE_B]	}
	}
	HANDLING	READ;
}

VARIABLE phys_blk_profile_rev
{
	LABEL		[blk_profile_rev];
	HELP		[blk_profile_rev_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0x0300;
		{	0x025A,	"2.90"	},
		{	0x025B,	"2.91"	},
		{	0x025C,	"2.92"	},
		{	0x025D,	"2.93"	},
		{	0x025E,	"2.94"	},
		{	0x025F,	"2.95"	},
		{	0x0260,	"2.96"	},
		{	0x0261,	"2.97"	},
		{	0x0262,	"2.98"	},
		{	0x0263,	"2.99"	},
		{	0x0300,	"3.0"	}
	}
	HANDLING	READ;
}

VARIABLE phys_blk_execution_time
{
	LABEL		[blk_execution_time];
	HELP		[blk_execution_time_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER(1);
	HANDLING	READ;
}

VARIABLE phys_blk_num_parameters
{
	LABEL		[blk_num_parameters];
	HELP		[blk_num_parameters_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2);
	HANDLING	READ;
}

VARIABLE phys_blk_index_view_1
{
	LABEL		[blk_index_view_1];
	HELP		[blk_index_view_1_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2);
	HANDLING	READ;
}

VARIABLE phys_blk_num_view_lists
{
	LABEL		[blk_num_view_lists];
	HELP		[blk_num_view_lists_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (1);
	HANDLING	READ;
}

VARIABLE phys_st_rev
{
	LABEL		[st_rev];
	HELP		[st_rev_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	HANDLING	READ;
}

VARIABLE phys_tag_desc
{
	/* ST_REV */
	LABEL		[tag_desc];		
	HELP		[tag_desc_help];
	CLASS		CONTAINED;
	TYPE		ASCII (32);
	HANDLING	READ & WRITE;
}

VARIABLE phys_strategy
{
	/* ST_REV */
	LABEL		[strategy];		
	HELP		[strategy_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0; 
	}
	HANDLING	READ & WRITE;
}

VARIABLE phys_alert_key
{
	/* ST_REV */
	LABEL		[alert_key];		
	HELP		[alert_key_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (1)
	{
		DEFAULT_VALUE	0; 
	}
	HANDLING	READ & WRITE;
}

VARIABLE phys_target_mode
{
	/* ST_REV */
	LABEL		[target_mode];		
	HELP		[target_mode_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		{	0x08,	[mode_AUTO]				}
	}
	HANDLING	READ & WRITE;
}

VARIABLE phys_actual_mode
{
	LABEL		[actual_mode];		
	HELP		[actual_mode_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		{	0x08,	[mode_AUTO]				},
		{	0x02,	[mode_RCAS]				},
		{	0x10,	[mode_MAN]				},
		{	0x20,	[mode_LO]				},
		{	0x80,	[mode_OUT_OF_SERVICE]	}
	}
	HANDLING	READ;
}

VARIABLE phys_permitted_mode
{
	LABEL		[permitted_mode];		
	HELP		[permitted_mode_help];
	CLASS		CONTAINED;
	TYPE		BIT_ENUMERATED (1)
	{
		{	0x08,	[mode_AUTO]				},
		{	0x80,	[mode_OUT_OF_SERVICE]	}
	}
	HANDLING	READ;
}

VARIABLE phys_normal_mode
{
	LABEL		[normal_mode];		
	HELP		[normal_mode_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		{	0x08,	[mode_AUTO]				}
	}
	HANDLING	READ;
}

VARIABLE phys_current_state_alarm_sum
{
	LABEL		[current_state_alarm_sum];		
	HELP		[current_state_alarm_sum_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		BIT_ENUMERATED (2)
	{
		DEFAULT_VALUE	0x0000; 
		{	0x0000,	[limit_state_NO_ALARM]	},
		{	0x8000,	[limit_state_ST_REV]	}
	}
	HANDLING	READ;
}

VARIABLE phys_unacknowledged_state_alarm_sum
{
	LABEL		[unacknowledged_state_alarm_sum];		
	HELP		[unacknowledged_state_alarm_sum_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		BIT_ENUMERATED (2)
	{
		DEFAULT_VALUE	0x0000; 
		{	0x0000,	[limit_state_NO_ALARM]	},
		{	0x8000,	[limit_state_ST_REV]	}
	}
	HANDLING	READ;
}

VARIABLE phys_unreported_state_alarm_sum
{
	LABEL		[unreported_state_alarm_sum];		
	HELP		[unreported_state_alarm_sum_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		BIT_ENUMERATED (2)
	{
		DEFAULT_VALUE	0x0000; 
		{	0x0000,	[limit_state_NO_ALARM]	},
		{	0x8000,	[limit_state_ST_REV]	}
	}
	HANDLING	READ;
}

VARIABLE phys_disabled_state_alarm_sum
{
	LABEL		[disabled_state_alarm_sum];		
	HELP		[disabled_state_alarm_sum_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		BIT_ENUMERATED (2)
	{
		DEFAULT_VALUE	0x0000; 
		{	0x0000,	[limit_state_NO_ALARM]	},
		{	0x8000,	[limit_state_ST_REV]	}
	}
	HANDLING	READ;
}

VARIABLE phys_software_rev
{
	LABEL		[phys_software_revision];
	HELP		[phys_software_revision_help];
	CLASS		CONTAINED;
	TYPE		ASCII (16);
	HANDLING	READ;
}

VARIABLE phys_hardware_rev
{
	LABEL		[phys_hardware_revision];
	HELP		[phys_hardware_revision_help];
	CLASS		CONTAINED;
	TYPE		ASCII (16);
	HANDLING	READ;
}

VARIABLE phys_device_man_id
{
	LABEL		[phys_device_man_id];
	HELP		[phys_device_man_id_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	91;
      { 1,   [Acromag]						},
      { 2,   [Allen_Bradley]				},
      { 3,   [Ametek]						},
      { 4,   [Analog_Devices]				},
      { 5,   [Elsag_Bailey]					},
      { 6,   [Beckman]						},
      { 7,   [Bell_Microsensor]				},
      { 8,   [Bourns]						},
      { 9,   [Bristol_Babcock]				},
      { 10,  [Brooks_Instrument]			},
      { 11,  [Chessell]						},
      { 12,  [Combustion_Engineering]		},
      { 13,  [Daniel_Industries]			},
      { 14,  [Delta]						},
      { 15,  [Dieterich_Standard]			},
      { 16,  [Dohrmann]						},
      { 17,  [Endress_and_Hauser]			},
      { 18,  [Elsag_Bailey]					},
      { 19,  [Fisher_Controls]				},
      { 20,  [Foxboro]						},
      { 21,  [Fuji]							},
      { 22,  [Elsag_Bailey]					},
      { 23,  [Honeywell]					},
      { 24,  [ITT_Barton]					},
      { 25,  [KayRay_Sensall]				},
      { 26,  [Kent]							},
      { 27,  [Leeds_and_Northrup]			},
      { 28,  [Leslie]						},
      { 29,  [M_System_Co]					},
      { 30,  [Measurex]						},
      { 31,  [Micro_Motion]					},
      { 32,  [Moore_Industries]				},
      { 33,  [Moore_Products]				},
      { 34,  [Ohkura_Electric]				},
      { 35,  [Paine]						},
      { 36,  [Rochester_Instrument_Systems] },
      { 37,  [Ronan]						},
      { 38,  [Rosemount]					},
      { 39,  [Peek_Measurement]				},
      { 40,  [Schlumberger]					},
      { 41,  [Sensall]						},
      { 42,  [Siemens]						},
      { 43,  [Camille_Bauer]				},
      { 44,  [Toshiba]						},
      { 45,  [Transmation]					},
      { 46,  [Rosemount_Analytical]			},
      { 47,  [Valmet]						},
      { 48,  [Valtek]						},
      { 49,  [Varec]						},
      { 50,  [Viatran]						},
      { 51,  [Weed]							},
      { 52,  [Westinghouse]					},
      { 53,  [Xomox]						},
      { 54,  [Yamatake]						},
      { 55,  [Yokogawa]						},
      { 56,  [Nuovo_Pignone]				},
      { 57,  [Promac]						},
      { 58,  [Exac_Corporation]				},
      { 59,  [KDG_Mobrey]					},
      { 60,  [Acrom_Control_System]			},
      { 61,  [Princo]						},
      { 62,  [Smar]							},
      { 63,  [Foxboro_Eckardt]				},
      { 64,  [Measurement_Technology]		},
      { 65,  [Applied_System_Technologies]	},
      { 66,  [Samson]						},
      { 67,  [Sparling_Instruments]			},
      { 68,  [Fireye]						},
      { 69,  [Krohne]						},
      { 70,  [Betz_Equipment]				},
      { 71,  [Druck]						},
      { 72,  [SOR]							},
      { 73,  [Elcon_Instruments]			},
      { 74,  [EMCO]							},
      { 75,  [Termiflex]					},
      { 76,  [VAF_Instruments]				},
      { 77,  [Westlock_Controls]			},
      { 78,  [Drexelbrook]					},
      { 79,  [saab_tank_control]			},
      { 80,  [K_TEK]						},
      { 81,  [Flowdata]						},
      { 82,  [Draeger]						},
	  { 83,  [Raytek]						},
	  { 84,  [Meridian_Instruments]			},
	  { 85,  [BTG]							},
	  { 86,  [Magnetrol]					},
	  { 87,  [Neles_Controls]				},
	  { 88,  [Milltronics]					},
	  { 89,  [HELIOS]						},
      { 90,	 [Anderson_Instrument_Company]	},
      { 91,  [INOR]							},
      { 92,  [ROBERTSHAW]					},
      { 93,  [PEPPERL_FUCHS]				},
      { 94,  [ACCUTECH]						},
      { 95,  [Flow_Measurement]				},
      { 96,  [KAMSTRUP]						},
      { 97,  [Knick]						},
      { 98,  [VEGA]							},
      { 99,  [MTS_SYS_CORPS_SENSORS]		},
      { 100, [Oval]							},
      { 101, [Masoneilan_DRESSER]			},
      { 102, [Besta]						},
      { 103, [Ohmart]						},
      { 104, [Harold_Beck_and_Sons]			},
      { 105, [rittmeyer_instrumentation]	},
      { 106, [rossel_messtechnik]			},
      { 107, [WIKA]							},
      { 108, [Bopp_and_Reuther_Heinrichs]	},
      { 109, [pr_eletronics]				},
      { 110, [jordan_controls]				},
      { 111, [valcom]						},
      { 112, [us_electric_motors]			}, 
      { 113, [apparatebau_hundsbach]		},
      { 250, [not_used]						},
      { 251, [none]							},
      { 252, [unknown]						},
      { 253, [special]						}
	}
	HANDLING	READ;
}

VARIABLE phys_device_id
{
	LABEL		[phys_device_type];
	HELP		[phys_device_type_help];
	CLASS		CONTAINED;
	TYPE		ASCII (16)
	{
	DEFAULT_VALUE "ProfIPAQ";
	}
	HANDLING	READ;
}

VARIABLE phys_device_ser_num
{
	LABEL		[phys_serial_num];
	HELP		[phys_device_ser_num_help];
	CLASS		CONTAINED;
	TYPE		ASCII (16);
	HANDLING	READ;
}

#define DIA_HW_ELECTR			0x01000000		/* 0x00000001 */
#define DIA_HW_MECH				0x02000000		/* 0x00000002 */
#define DIA_TEMP_MOTOR			0x04000000		/* 0x00000004 */
#define DIA_TEMP_ELECTR			0x08000000		/* 0x00000008 */
#define DIA_MEM_CHKSUM			0x10000000		/* 0x00000010 */
#define DIA_MEASUREMENT			0x20000000		/* 0x00000020 */
#define DIA_NOT_INIT			0x40000000		/* 0x00000040 */
#define DIA_INIT_ERR			0x80000000		/* 0x00000080 */
#define DIA_ZERO_ERR			0x00010000		/* 0x00000100 */
#define DIA_SUPPLY				0x00020000		/* 0x00000200 */
#define DIA_CONF_INVAL			0x00040000		/* 0x00000400 */
#define DIA_WARMSTART			0x00080000		/* 0x00000800 */
#define DIA_COLDSTART			0x00100000		/* 0x00001000 */
#define DIA_MAINTENANCE			0x00200000		/* 0x00002000 */
#define DIA_CHARACT				0x00400000		/* 0x00004000 */
#define EXTENSION_AVAILABLE		0x00000080		/* 0x80000000 */

VARIABLE phys_diagnosis
{
	LABEL		[phys_diagnosis];
	HELP		[phys_diagnosis_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		BIT_ENUMERATED (4)
	{
		{	0,						[dia_OK],					[dia_OK_help]					},
		{	DIA_HW_ELECTR,			[dia_HW_ELECTR],			[dia_HW_ELECTR_help]			},
		{	DIA_HW_MECH,			[dia_HW_MECH],				[dia_HW_MECH_help]				},
		{	DIA_TEMP_MOTOR,			[dia_TEMP_MOTOR],			[dia_TEMP_MOTOR_help]			},
		{	DIA_TEMP_ELECTR,		[dia_TEMP_ELECTR],			[dia_TEMP_ELECTR_help]			},
		{	DIA_MEM_CHKSUM,			[dia_MEM_CHKSUM],			[dia_MEM_CHKSUM_help]			},
		{	DIA_MEASUREMENT,		[dia_MEASUREMENT],			[dia_MEASUREMENT_help]			},
		{	DIA_NOT_INIT,			[dia_NOT_INIT],				[dia_NOT_INIT_help]				},
		{	DIA_INIT_ERR,			[dia_INIT_ERR],				[dia_INIT_ERR_help]				},
		{	DIA_ZERO_ERR,			[dia_ZERO_ERR],				[dia_ZERO_ERR_help]				},
		{	DIA_SUPPLY,				[dia_SUPPLY],				[dia_SUPPLY_help]				},
		{	DIA_CONF_INVAL,			[dia_CONF_INVAL],			[dia_CONF_INVAL_help]			},
		{	DIA_WARMSTART,			[dia_WARMSTART],			[dia_WARMSTART_help]			},
		{	DIA_COLDSTART,			[dia_COLDSTART],			[dia_COLDSTART_help]			},
		{	DIA_MAINTENANCE,		[dia_MAINTENANCE],			[dia_MAINTENANCE_help]			},
		{	DIA_CHARACT,			[dia_CHARACT],				[dia_CHARACT_help]				},
		{	EXTENSION_AVAILABLE,	[dia_EXTENSION_AVAILABLE],	[dia_EXTENSION_AVAILABLE_help]	}
	}
	HANDLING	READ;
}

VARIABLE phys_diagnosis_mask
{
	LABEL		[phys_diagnosis_mask];
	HELP		[phys_diagnosis_mask_help];
	CLASS		CONTAINED;
	TYPE		BIT_ENUMERATED (4)
	{
		{	DIA_HW_ELECTR,			[dia_HW_ELECTR],			[dia_HW_ELECTR_help]			},
		{	DIA_HW_MECH,			[dia_HW_MECH],				[dia_HW_MECH_help]				},
		{	DIA_TEMP_MOTOR,			[dia_TEMP_MOTOR],			[dia_TEMP_MOTOR_help]			},
		{	DIA_TEMP_ELECTR,		[dia_TEMP_ELECTR],			[dia_TEMP_ELECTR_help]			},
		{	DIA_MEM_CHKSUM,			[dia_MEM_CHKSUM],			[dia_MEM_CHKSUM_help]			},
		{	DIA_MEASUREMENT,		[dia_MEASUREMENT],			[dia_MEASUREMENT_help]			},
		{	DIA_NOT_INIT,			[dia_NOT_INIT],				[dia_NOT_INIT_help]				},
		{	DIA_INIT_ERR,			[dia_INIT_ERR],				[dia_INIT_ERR_help]				},
		{	DIA_ZERO_ERR,			[dia_ZERO_ERR],				[dia_ZERO_ERR_help]				},
		{	DIA_SUPPLY,				[dia_SUPPLY],				[dia_SUPPLY_help]				},
		{	DIA_CONF_INVAL,			[dia_CONF_INVAL],			[dia_CONF_INVAL_help]			},
		{	DIA_WARMSTART,			[dia_WARMSTART],			[dia_WARMSTART_help]			},
		{	DIA_COLDSTART,			[dia_COLDSTART],			[dia_COLDSTART_help]			},
		{	DIA_MAINTENANCE,		[dia_MAINTENANCE],			[dia_MAINTENANCE_help]			},
		{	DIA_CHARACT,			[dia_CHARACT],				[dia_CHARACT_help]				},
		{	EXTENSION_AVAILABLE,	[dia_EXTENSION_AVAILABLE],	[dia_EXTENSION_AVAILABLE_help]	}
	}
	HANDLING	READ;
}

VARIABLE phys_diagnosis_extension				/* optional */
{
	LABEL		[phys_diagnosis_extension];
	HELP		[phys_diagnosis_extension_help];
	CLASS		CONTAINED;
	TYPE		ASCII (6);
/*	TYPE		BIT_ENUMERATED (6);	*/
	HANDLING	READ;
}

VARIABLE phys_diagnosis_extension_mask			/* optional */
{
	LABEL		[phys_diagnosis_extension_mask];
	HELP		[phys_diagnosis_extension_mask_help];
	CLASS		CONTAINED;
	TYPE		ASCII (6);
/*	TYPE		BIT_ENUMERATED (6);	*/
	HANDLING	READ;
}

VARIABLE phys_device_certification				/* optional */
{
	LABEL		[phys_device_certification];
	HELP		[phys_device_certification_help];
	CLASS		CONTAINED;
	TYPE		ASCII (32);
	HANDLING	READ;
}

VARIABLE phys_write_locking						/* optional */
{
	LABEL		[phys_write_locking];
	HELP		[phys_write_locking_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER(2)
	{
		DEFAULT_VALUE	2457;
		{ 2457,		[off]	},
		{ 0,		[on]	}
	}
	HANDLING	READ & WRITE;
}

VARIABLE phys_factory_reset						/* optional */
{
	/* ST_REV */
	LABEL		[phys_factory_reset];
	HELP		[phys_factory_reset_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0,		[no_function]			},
		{ 1,		[factory_reset_PARAMS]	},
		{ 2712,		[factory_reset_ADDRESS]	}
	}
	HANDLING	READ & WRITE;
}

VARIABLE phys_descriptor						/* optional */
{
	/* ST_REV */
	LABEL		[phys_descriptor];
	HELP		[phys_descriptor_help];
	CLASS		CONTAINED;
	TYPE		ASCII (32)
	{
		DEFAULT_VALUE "";
	}
	HANDLING	READ & WRITE;
}

VARIABLE phys_message							/* optional */
{
	/* ST_REV */
	LABEL		[phys_message];
	HELP		[phys_message_help];
	CLASS		CONTAINED;
	TYPE		ASCII (32)
	{
		DEFAULT_VALUE "Support: support@inor.se";
	}
	HANDLING	READ & WRITE;
}

VARIABLE phys_install_date						/* optional */
{
	/* ST_REV */
	LABEL		[phys_install_date];
	HELP		[phys_install_date_help];
	CLASS		CONTAINED;
	TYPE		ASCII (16)
	{
		DEFAULT_VALUE "";
	}
	HANDLING	READ & WRITE;
}

VARIABLE phys_local_operation_enable
{
	LABEL		[trans_act_local_operation];
	HELP		[trans_act_local_operation_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	1;
		{	0,	[disabled]	},
		{	1,	[enabled]	}
	}
	HANDLING	READ & WRITE;
}

VARIABLE phys_ident_number
{
	/* ST_REV */
	LABEL		[phys_ident_number];
	HELP		[phys_ident_number_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	1;
		{	0,	[phys_ident_number_PROFILE]		},
		{	1,	[phys_ident_number_MANUFACURER]	}
	}
	HANDLING	READ & WRITE;
}

//VARIABLE phys_hw_write_protection
// {
// 	LABEL		[phys_hw_write_protection];
// 	HELP		[phys_hw_write_protection_help];
// 	CLASS		CONTAINED;
// 	TYPE		ENUMERATED (1)
// 	{
// 		DEFAULT_VALUE	1;
// 		{	0,	[on]	},
// 		{	1,	[off]	}
// 	}
// 	HANDLING	READ;
// }


/***********************************************************************/
/*    Transducer Block												   */
/***********************************************************************/

BLOCK transducer_block_1
{
	TYPE	TRANSDUCER;
	NUMBER	1;
}

trans1_blk_reserve							LIKE VARIABLE	phys_blk_reserve
{
}

VARIABLE trans1_blk_object
{
	LABEL		[blk_block_object];
	HELP		[blk_block_object_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED(1)
	{
		{	3,	[blk_block_object_TRANSDUCER]		}
	}
	HANDLING	READ;
}

VARIABLE trans1_blk_parent_class
{
	LABEL		[blk_parent_class];
	HELP		[trans_blk_parent_class_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED(1)
	{
		{	2,	[trans_blk_parent_class_TEMP]	}
	}
	HANDLING	READ;
}

VARIABLE trans1_blk_class
{
	LABEL		[blk_class];
	HELP		[trans_blk_class_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED(1)
	{
		DEFAULT_VALUE	18;
		{	1,		[trans_temp_blk_class_TC]	},
		{	2,		[trans_temp_blk_class_RTD]	},
		{	3,		[trans_temp_blk_class_PYR]	},
		{	16,		"TC + DC U"					},
		{	17,		"RTD + R"					},
		{	18,		"TC + RTD + R + DC U"		},
		{	250,	[not_used] 					},
		{	251,	[none]						},
		{	252,	[unknown]					},
		{	253,	[special]					}
	}
	HANDLING	READ;
}

trans1_blk_dd_reference						LIKE VARIABLE	phys_blk_dd_reference
{											
}											
											
trans1_blk_dd_rev							LIKE VARIABLE	phys_blk_dd_rev
{											
}											
											
trans1_blk_profile							LIKE VARIABLE	phys_blk_profile
{											
}											
											
trans1_blk_profile_rev						LIKE VARIABLE	phys_blk_profile_rev
{											
}											
											
trans1_blk_execution_time					LIKE VARIABLE	phys_blk_execution_time
{											
}											
											
trans1_blk_num_parameters					LIKE VARIABLE	phys_blk_num_parameters
{											
}											
											
trans1_blk_index_view_1						LIKE VARIABLE	phys_blk_index_view_1
{
}

trans1_blk_num_view_lists					LIKE VARIABLE	phys_blk_num_view_lists
{											
}											
											
trans1_st_rev								LIKE VARIABLE	phys_st_rev
{											
}											
											
trans1_tag_desc								LIKE VARIABLE	phys_tag_desc
{											
}											
											
trans1_strategy								LIKE VARIABLE	phys_strategy
{											
}											
											
trans1_alert_key							LIKE VARIABLE	phys_alert_key
{											
}											
											
trans1_target_mode							LIKE VARIABLE	phys_target_mode
{											
}											
											
trans1_actual_mode							LIKE VARIABLE	phys_actual_mode
{											
}											
											
trans1_permitted_mode						LIKE VARIABLE	phys_permitted_mode
{											
}											
											
trans1_normal_mode							LIKE VARIABLE	phys_normal_mode
{
}

trans1_current_state_alarm_sum				LIKE VARIABLE	phys_current_state_alarm_sum
{
}

trans1_unacknowledged_state_alarm_sum		LIKE VARIABLE	phys_unacknowledged_state_alarm_sum
{
}

trans1_unreported_state_alarm_sum			LIKE VARIABLE	phys_unreported_state_alarm_sum
{
}

trans1_disabled_state_alarm_sum				LIKE VARIABLE	phys_disabled_state_alarm_sum
{
}


/*---------------------------------------------------------------------*/
/*    Transducer Block: Temperature Transmitter						   */
/*---------------------------------------------------------------------*/

VARIABLE trans1_lin_type
{
	LABEL		[trans_lin_type];
	HELP		[trans_lin_type_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	102;
		{ 0,	[linear]		},
		{ 100,	[RTD_Pt10]		},
		{ 101,	[RTD_Pt50]		},
		{ 102,	[RTD_Pt100]		},
		{ 103,	[RTD_Pt200]		},
		{ 104,	[RTD_Pt500]		},
		{ 105,	[RTD_Pt1000]	},

		{ 106,	[RTD_Pt10_JIS]	},
		{ 107,	[RTD_Pt50_JIS]	},
		{ 108,	[RTD_Pt100_JIS]	},

		{ 122,	[RTD_Ni50]		},

		{ 123,	[RTD_Ni100]		},
		{ 124,	[RTD_Ni120]		},
		{ 125,	[RTD_Ni1000]	},


		{ 128,	[TC_type_B]		},
		{ 129,	[TC_type_C]		},
		{ 130,	[TC_type_D]		},
		{ 131,	[TC_type_E]		},
		{ 133,	[TC_type_J]		},
		{ 134,	[TC_type_K]		},
		{ 135,	[TC_type_N]		},
		{ 136,	[TC_type_R]		},
		{ 137,	[TC_type_S]		},
		{ 138,	[TC_type_T]		},
		{ 139,	[TC_type_L]		},
		{ 140,	[TC_type_U]		}


	}
	HANDLING	READ & WRITE;

	POST_EDIT_ACTIONS
	{
		method_set_trans1_primary_value_unit, 	
		method_set_trans1_input_range
	}

}


VARIABLE trans1_primary_value
{
	LABEL		[trans_value];
	HELP		[trans_temp_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT
	{
		DISPLAY_FORMAT	"7.3f";	
	}
	HANDLING	READ;
}

VARIABLE trans1_primary_value_status_quality
{
	LABEL		[status_quality];
	HELP		[value_status_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_OUTPUT_NO_RCAS
	}
	HANDLING	READ;
}

trans1_primary_value_status_limit			LIKE VARIABLE	trans1_primary_value_status_quality
{
	REDEFINE LABEL		[status_limit];		
	REDEFINE TYPE		ENUMERATED (1)
	{
		STATUS_OUTPUT_LIMIT
	}
}

VARIABLE trans1_primary_value_unit
{
	LABEL		[digital_units];	
	HELP		[digital_units_help];	/* ??? Text */
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE
			IF (trans1_lin_type == 0)
			{
				 1281;
			}
			ELSE {
				1001;
			}

		IF (trans1_lin_type == 0)
		{
			/* mV	*/	{ 1243,	[unit_1243],	[unit_1243_help]	},
			/* Ohm	*/	{ 1281,	[unit_1281],	[unit_1281_help]	},
		}
		ELSE	{

			/* K	*/	{ 1000,	[unit_1000],	[unit_1000_help]	},
			/* degC	*/	{ 1001,	[unit_1001],	[unit_1001_help]	},
			/* degF	*/	{ 1002,	[unit_1002],	[unit_1002_help]	},
			/* Rk	*/	{ 1003,	[unit_1003],	[unit_1003_help]	}
		}
	}
	POST_EDIT_ACTIONS
	{
		method_set_trans1_input_range
	}
	HANDLING	READ & WRITE;
}


VARIABLE trans1_secondary_value_1
{
	LABEL		[trans_temp_temperature_1];	
	HELP		[trans_temp_temperature_1_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT
	{
		DISPLAY_FORMAT	"7.3f";	
	}
	HANDLING	READ;
}

VARIABLE trans1_secondary_value_1_status_quality
{
	LABEL		[status_quality];
	HELP		[value_status_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_OUTPUT_NO_RCAS
	}
	HANDLING	READ;
}

trans1_secondary_value_1_status_limit		LIKE VARIABLE	trans1_secondary_value_1_status_quality
{
	REDEFINE LABEL		[status_limit];		
	REDEFINE TYPE		ENUMERATED (1)
	{
		STATUS_OUTPUT_LIMIT
	}
}

VARIABLE trans1_secondary_value_2
{
	LABEL		[trans_temp_temperature_2];	
	HELP		[trans_temp_temperature_2_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT
	{
		DISPLAY_FORMAT	"7.3f";	
	}
	HANDLING	READ;
}

VARIABLE trans1_secondary_value_2_status_quality
{
	LABEL		[status_quality];
	HELP		[value_status_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_OUTPUT_NO_RCAS
	}
	HANDLING	READ;
}

trans1_secondary_value_2_status_limit		LIKE VARIABLE	trans1_secondary_value_2_status_quality
{
	REDEFINE LABEL		[status_limit];		
	REDEFINE TYPE		ENUMERATED (1)
	{
		STATUS_OUTPUT_LIMIT
	}
}

VARIABLE trans1_sensor_measure_type
{
	LABEL		[trans_temp_sensor_measure_type];	
	HELP		[trans_temp_sensor_measure_type_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0 ;
		SELECT (trans1_primary_value_unit)
		{
			CASE	1281:
			{	0,		[trans_temp_sensor_measure_type_T1]				}
			DEFAULT:
			{	0,		[trans_temp_sensor_measure_type_T1]				},
			{	1,		[trans_temp_sensor_measure_type_T2]				},
			{	128,	[trans_temp_sensor_measure_type_T1_SUB_T2]		},
			{	129,	[trans_temp_sensor_measure_type_T2_SUB_T1]		},
			{	192,	[trans_temp_sensor_measure_type_AVE]			},
			{	193,	[trans_temp_sensor_measure_type_AVE_T1_OR_T2]	}

		}

	}
	HANDLING	READ & WRITE;
}

VARIABLE trans1_input_range
{
	LABEL		[trans_temp_input_range]; 
	HELP		[trans_temp_input_range_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	128;

		IF (trans1_lin_type == 0)
		{

			SELECT (trans1_primary_value_unit)
			{
				CASE	1243:
				{	0,		[trans_temp_input_range_mV_RANGE_1]		},
				{	1,		[trans_temp_input_range_mV_RANGE_2]	}
				CASE	1281:
				{	128,	[trans_temp_input_range_Ohm_RANGE_1]	},
				{	129,	[trans_temp_input_range_Ohm_RANGE_2]	}
				CASE	1211:
				{	192,	[trans_temp_input_range_mA_RANGE_1]		},
				{	193,	[trans_temp_input_range_mA_RANGE_2]		},
				{	194,	[trans_temp_input_range_mA_RANGE_3]		},
				{	195,	[trans_temp_input_range_mA_RANGE_4]		},
				{	196,	[trans_temp_input_range_mA_RANGE_5]		},
				{	197,	[trans_temp_input_range_mA_RANGE_6]		},
				{	198,	[trans_temp_input_range_mA_RANGE_7]		},
				{	199,	[trans_temp_input_range_mA_RANGE_8]		},
				{	200,	[trans_temp_input_range_mA_RANGE_9]		},
				{	201,	[trans_temp_input_range_mA_RANGE_10]	}

				DEFAULT:
				{	0,		[trans_temp_input_range_mV_RANGE_1]		},
				{	1,		[trans_temp_input_range_mV_RANGE_2]	},

				{	128,	[trans_temp_input_range_Ohm_RANGE_1]	},
				{	129,	[trans_temp_input_range_Ohm_RANGE_2]	},
				
				{	192,	[trans_temp_input_range_mA_RANGE_1]		},
				{	193,	[trans_temp_input_range_mA_RANGE_2]	}
			}  
		}
		ELSE
		{
			IF ((trans1_lin_type >= 100) && (trans1_lin_type <= 127)) /* RTD's */
			{
				{	128,	[trans_temp_input_range_Ohm_RANGE_1]	},
				{	129,	[trans_temp_input_range_Ohm_RANGE_2]	}
			}
			ELSE
			{
				IF ((trans1_lin_type >= 128) && (trans1_lin_type <= 144)) /* Thermo-Elemente */
				{
					{	0,		[trans_temp_input_range_mV_RANGE_1]		},
					{	1,		[trans_temp_input_range_mV_RANGE_2]	}

				}
				ELSE /* Default: alle anderen Werte fuer trans1_lin_type */
				{
					{	0,		[trans_temp_input_range_mV_RANGE_1]		},
					{	1,		[trans_temp_input_range_mV_RANGE_2]	},

					{	128,	[trans_temp_input_range_Ohm_RANGE_1]	},
					{	129,	[trans_temp_input_range_Ohm_RANGE_2]	},
					
					{	192,	[trans_temp_input_range_mA_RANGE_1]		},
					{	193,	[trans_temp_input_range_mA_RANGE_2]		},
					{	194,	[trans_temp_input_range_mA_RANGE_3]		},
					{	195,	[trans_temp_input_range_mA_RANGE_4]		},
					{	196,	[trans_temp_input_range_mA_RANGE_5]		},
					{	197,	[trans_temp_input_range_mA_RANGE_6]		},
					{	198,	[trans_temp_input_range_mA_RANGE_7]		},
					{	199,	[trans_temp_input_range_mA_RANGE_8]		},
					{	200,	[trans_temp_input_range_mA_RANGE_9]		},
					{	201,	[trans_temp_input_range_mA_RANGE_10]	}
				}
			}

		}
	}
	POST_EDIT_ACTIONS
	{
		method_set_trans1_primary_value_unit
	}
	HANDLING	READ & WRITE;
}

VARIABLE trans1_bias_1
{
	LABEL		[trans_temp_bias_1];	
	HELP		[trans_temp_bias_1_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0.0;	
		DISPLAY_FORMAT	"7.3f";	
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_CHECK1
}

VARIABLE trans1_bias_2
{
	LABEL		[trans_temp_bias_2];	
	HELP		[trans_temp_bias_2_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0.0;	
		DISPLAY_FORMAT	"7.3f";	
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_CHECK2
}

VARIABLE trans1_upper_sensor_limit
{
	LABEL		[trans_sensor_upper_limit];	
	HELP		[trans_sensor_upper_limit_help];
	CLASS		CONTAINED;
	TYPE		FLOAT;
	HANDLING	READ;
}

VARIABLE trans1_lower_sensor_limit
{
	LABEL		[trans_sensor_lower_limit];	
	HELP		[trans_sensor_lower_limit_help];
	CLASS		CONTAINED;
	TYPE		FLOAT;
	HANDLING	READ;
}

VARIABLE trans1_max_sensor_value_1
{
	LABEL		[trans1_max_sensor_value_1];	
	HELP		[trans1_max_sensor_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_CHECK1

}

VARIABLE trans1_max_sensor_value_2
{
	LABEL		[trans1_max_sensor_value_2];	
	HELP		[trans1_max_sensor_value_help];
	CLASS		CONTAINED;
	TYPE		FLOAT;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_CHECK2

}

VARIABLE trans1_min_sensor_value_1
{
	LABEL		[trans1_min_sensor_value_1];	
	HELP		[trans1_min_sensor_value_help];
	CLASS		CONTAINED;
	TYPE		FLOAT;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_CHECK1

}

VARIABLE trans1_min_sensor_value_2
{
	LABEL		[trans1_min_sensor_value_2];	
	HELP		[trans1_min_sensor_value_help];
	CLASS		CONTAINED;
	TYPE		FLOAT;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_CHECK2

}

VARIABLE trans1_input_fault_gen
{
	LABEL		[trans_temp_input_fault];	
	HELP		[trans_temp_input_fault_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		BIT_ENUMERATED (1)
	{
		{ 0x00,	[trans_temp_input_fault_OK]			},
		{ 0x01,	[trans_temp_input_fault_RJ_ERR]		},
		{ 0x02,	[trans_temp_input_fault_HW_ERR]		}
	}
	HANDLING	READ;
}

VARIABLE trans1_input_fault_1
{
	LABEL		[trans_temp_input_fault_CH1_FAULT]; 
	HELP		[trans_temp_input_fault_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		BIT_ENUMERATED (1)
	{
		{ 0x00,	[trans_temp_input_fault_OK]				},
		{ 0x01,	[trans_temp_input_fault_UNDERRANGE]		},
		{ 0x02,	[trans_temp_input_fault_OVERRANGE]		},
		{ 0x04,	[trans_temp_input_fault_LEAD_BREAK]		},
		{ 0x08,	[trans_temp_input_fault_SHORT_CIRCUIT]	},
	}
	HANDLING	READ;
}

VARIABLE trans1_input_fault_2
{
	LABEL		[trans_temp_input_fault_CH2_FAULT]; 
	HELP		[trans_temp_input_fault_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		BIT_ENUMERATED (1)
	{
		{ 0x00,	[trans_temp_input_fault_OK]				},
		{ 0x01,	[trans_temp_input_fault_UNDERRANGE]		},
		{ 0x02,	[trans_temp_input_fault_OVERRANGE]		},
		{ 0x04,	[trans_temp_input_fault_LEAD_BREAK]		},
		{ 0x08,	[trans_temp_input_fault_SHORT_CIRCUIT]	},
	}
	HANDLING	READ;
}

VARIABLE trans1_sensor_wire_check_1
{
	LABEL		[trans_sensor_wire_check_1];
	HELP		[trans_sensor_wire_check_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 3;
		
		SELECT (trans1_lin_type)
		{
		CASE 0:
			IF (trans1_primary_value_unit == 1243)	/*mv*/
			{
				{	1,	[trans_sensor_wire_check_BREAK_ON_SHORT_OFF]	},
				{	3,	[disabled]					}

			}
			ELSE
			{
				{	0,	[trans_sensor_wire_check_BREAK_ON_SHORT_ON]		},
				{	1,	[trans_sensor_wire_check_BREAK_ON_SHORT_OFF]	},
				{	2,	[trans_sensor_wire_check_BREAK_OFF_SHORT_ON]	},
				{	3,	[disabled]					}

			}

		DEFAULT:
			IF (trans1_lin_type >= 128)	/*TC*/
			{
				{	1,	[trans_sensor_wire_check_BREAK_ON_SHORT_OFF]	},
				{	3,	[disabled]					}
			
			}
			ELSE	
			{
			
				{	0,	[trans_sensor_wire_check_BREAK_ON_SHORT_ON]		},
				{	1,	[trans_sensor_wire_check_BREAK_ON_SHORT_OFF]	},
				{	2,	[trans_sensor_wire_check_BREAK_OFF_SHORT_ON]	},
				{	3,	[disabled]					}
			}

		}

	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_CHECK1

}

VARIABLE trans1_sensor_wire_check_2
{
	LABEL		[trans_sensor_wire_check_2];
	HELP		[trans_sensor_wire_check_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 3;

		SELECT (trans1_lin_type)
		{
		CASE 0:
			IF (trans1_primary_value_unit == 1243)	/*mv*/
			{
				{	1,	[trans_sensor_wire_check_BREAK_ON_SHORT_OFF]	},
				{	3,	[disabled]					}

			}
			ELSE
			{
				{	0,	[trans_sensor_wire_check_BREAK_ON_SHORT_ON]		},
				{	1,	[trans_sensor_wire_check_BREAK_ON_SHORT_OFF]	},
				{	2,	[trans_sensor_wire_check_BREAK_OFF_SHORT_ON]	},
				{	3,	[disabled]					}

			}

		DEFAULT:
			IF (trans1_lin_type >= 128)	/*TC*/
			{
				{	1,	[trans_sensor_wire_check_BREAK_ON_SHORT_OFF]	},
				{	3,	[disabled]					}
			
			}
			ELSE	
			{
			
				{	0,	[trans_sensor_wire_check_BREAK_ON_SHORT_ON]		},
				{	1,	[trans_sensor_wire_check_BREAK_ON_SHORT_OFF]	},
				{	2,	[trans_sensor_wire_check_BREAK_OFF_SHORT_ON]	},
				{	3,	[disabled]					}
			}

		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_CHECK2

}


/*---------------------------------------------------------------------*/
/*    Transducer Block: Thermocouple Temperature Device (TC)		   */
/*---------------------------------------------------------------------*/

VARIABLE trans1_reference_junction_temp
{
	LABEL		[trans_temp_rj_temp];	
	HELP		[trans_temp_rj_temp_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
	HANDLING	READ;
	VALIDITY	VALID_TC
}

VARIABLE trans1_reference_junction_type
{
	LABEL		[trans_temp_rj_type]; 
	HELP		[trans_temp_rj_type_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{ 0,	[trans_temp_rj_type_NONE] }, 
		{ 1,	[trans_temp_rj_type_INT] },
		{ 2,	[trans_temp_rj_type_EXT] } 
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_TC
}

VARIABLE trans1_external_reference_junction_value
{
	LABEL		[trans_temp_external_rj_value]; 
	HELP		[trans_temp_external_rj_value_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0.0;	
		DISPLAY_FORMAT	"7.3f"; 
	}
	HANDLING	READ & WRITE;
	VALIDITY	IF( trans1_reference_junction_type == 2 )
				{
					TRUE ;
				}
				ELSE
				{
					FALSE ;
				}
}


/*---------------------------------------------------------------------*/
/*    Transducer Block: Thermoresistance Temperature Device (RTD)	   */
/*---------------------------------------------------------------------*/

VARIABLE trans1_sensor_connection
{
	LABEL		[trans_temp_sensor_connection];	
	HELP		[trans_temp_sensor_connection_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	1; 

		SELECT (trans1_primary_value_unit)
		{
		CASE 1243:
			{	0,	[trans_temp_sensor_connection_2_WIRE]		}

		DEFAULT:
			SELECT (trans1_sensor_measure_type)
			{
			CASE 0:
				{	0,	[trans_temp_sensor_connection_2_WIRE]		},
				{	1,	[trans_temp_sensor_connection_3_WIRE]		},
				{	2,	[trans_temp_sensor_connection_4_WIRE]		}
			CASE 1:
				{	0,	[trans_temp_sensor_connection_2_WIRE]		},
				{	1,	[trans_temp_sensor_connection_3_WIRE]		},
				{	2,	[trans_temp_sensor_connection_4_WIRE]		}
			CASE 128:
				{	1,	[trans_temp_sensor_connection_3_WIRE]		}
			CASE 129:
				{	1,	[trans_temp_sensor_connection_3_WIRE]		}
			CASE 192:
				{	1,	[trans_temp_sensor_connection_3_WIRE]		}
			CASE 193:
				{	1,	[trans_temp_sensor_connection_3_WIRE]		}
			DEFAULT:
				{	0,	[trans_temp_sensor_connection_2_WIRE]		}
			}

		}

	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_NOT_TC
}

VARIABLE trans1_comp_wire_1
{
	LABEL		[trans_temp_comp_wire1];	
	HELP		[trans_temp_comp_wire1_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0.0; 
		DISPLAY_FORMAT	"7.3f";
	}
	CONSTANT_UNIT	[Ohm];
	HANDLING	READ & WRITE;
	VALIDITY	VALID_NOT_TC1 
}

VARIABLE trans1_comp_wire_2
{
	LABEL		[trans_temp_comp_wire2];	
	HELP		[trans_temp_comp_wire2_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0.0; 
		DISPLAY_FORMAT	"7.3f";
	}
	CONSTANT_UNIT	[Ohm];
	HANDLING	READ & WRITE;
	VALIDITY	VALID_NOT_TC2 	
}


/***********************************************************************/
/*    Function Block                                                   */
/***********************************************************************/

BLOCK function_block_1
{
	TYPE	FUNCTION;
	NUMBER	1;
}

func1_AI_blk_reserve						LIKE VARIABLE	phys_blk_reserve
{
}

VARIABLE func1_AI_blk_object
{
	LABEL		[blk_block_object];
	HELP		[blk_block_object_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED(1)
	{
		{	2,	[blk_block_object_FUNCTION]		}
	}
	HANDLING	READ;
}

VARIABLE func1_AI_blk_parent_class
{
	LABEL		[blk_parent_class];
	HELP		[func_blk_parent_class_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED(1)
	{
		{	1,	[func_blk_parent_class_INPUT]	}
	}
	HANDLING	READ;
}

VARIABLE func1_AI_blk_class
{
	LABEL		[blk_class];
	HELP		[func_blk_class_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED(1)
	{
		{	1,	[func_blk_class_AI]			}
	}	
	HANDLING	READ;
}

func1_AI_blk_dd_reference						LIKE VARIABLE	phys_blk_dd_reference
{											
}											
											
func1_AI_blk_dd_rev							LIKE VARIABLE	phys_blk_dd_rev
{											
}											
											
func1_AI_blk_profile							LIKE VARIABLE	phys_blk_profile
{
}

func1_AI_blk_profile_rev						LIKE VARIABLE	phys_blk_profile_rev
{											
}											
											
func1_AI_blk_execution_time					LIKE VARIABLE	phys_blk_execution_time
{											
}											
											
func1_AI_blk_num_parameters					LIKE VARIABLE	phys_blk_num_parameters
{											
}											
											
func1_AI_blk_index_view_1						LIKE VARIABLE	phys_blk_index_view_1
{											
}											
											
func1_AI_blk_num_view_lists					LIKE VARIABLE	phys_blk_num_view_lists
{											
}											
											
func1_AI_st_rev								LIKE VARIABLE	phys_st_rev
{											
}											
											
func1_AI_tag_desc								LIKE VARIABLE	phys_tag_desc
{											
}											
											
func1_AI_strategy								LIKE VARIABLE	phys_strategy
{											
}											
											
func1_AI_alert_key								LIKE VARIABLE	phys_alert_key
{
}

VARIABLE func1_AI_target_mode
{
	LABEL		[target_mode];		
	HELP		[target_mode_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0x08;
		{	0x08,	[mode_AUTO]				},
		{	0x10,	[mode_MAN]				},
		{	0x80,	[mode_OUT_OF_SERVICE]	}
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_actual_mode
{
	LABEL		[actual_mode];		
	HELP		[actual_mode_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0x08;
		{	0x08,	[mode_AUTO]				},
		{	0x10,	[mode_MAN]				},
		{	0x80,	[mode_OUT_OF_SERVICE]	}
	}
	HANDLING	READ;
}

VARIABLE func1_AI_permitted_mode
{
	LABEL		[permitted_mode];		
	HELP		[permitted_mode_help];
	CLASS		CONTAINED;
	TYPE		BIT_ENUMERATED (1)
	{
		DEFAULT_VALUE	0x08;
		{	0x08,	[mode_AUTO]				},
		{	0x10,	[mode_MAN]				},
		{	0x80,	[mode_OUT_OF_SERVICE]	}
	}
	HANDLING	READ;
}

VARIABLE func1_AI_normal_mode
{
	LABEL		[normal_mode];		
	HELP		[normal_mode_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0x08;
		{	0x08,	[mode_AUTO]				},
		{	0x10,	[mode_MAN]				},
		{	0x80,	[mode_OUT_OF_SERVICE]	}
	}
	HANDLING	READ;
}

func1_AI_current_state_alarm_sum				LIKE VARIABLE	phys_current_state_alarm_sum
{
	REDEFINE TYPE		BIT_ENUMERATED (2)
	{
		{	0x0000,	[limit_state_NO_ALARM]	},
		{	0x0200,	[limit_state_HI_HI]		},
		{	0x0400,	[limit_state_HI]		},
		{	0x0800,	[limit_state_LO_LO]		},
		{	0x1000,	[limit_state_LO]		},
		{	0x8000,	[limit_state_ST_REV]	}
	}

}

func1_AI_unacknowledged_state_alarm_sum		LIKE VARIABLE	phys_unacknowledged_state_alarm_sum
{
	REDEFINE TYPE		BIT_ENUMERATED (2)
	{
		{	0x0000,	[limit_state_NO_ALARM]	},
		{	0x0200,	[limit_state_HI_HI]		},
		{	0x0400,	[limit_state_HI]		},
		{	0x0800,	[limit_state_LO_LO]		},
		{	0x1000,	[limit_state_LO]		},
		{	0x8000,	[limit_state_ST_REV]	}
	}
}

func1_AI_unreported_state_alarm_sum			LIKE VARIABLE	phys_unreported_state_alarm_sum
{
	REDEFINE TYPE		BIT_ENUMERATED (2)
	{
		{	0x0000,	[limit_state_NO_ALARM]	},
		{	0x0200,	[limit_state_HI_HI]		},
		{	0x0400,	[limit_state_HI]		},
		{	0x0800,	[limit_state_LO_LO]		},
		{	0x1000,	[limit_state_LO]		},
		{	0x8000,	[limit_state_ST_REV]	}
	}
}

func1_AI_disabled_state_alarm_sum				LIKE VARIABLE	phys_disabled_state_alarm_sum
{
	REDEFINE TYPE		BIT_ENUMERATED (2)
	{
		{	0x0000,	[limit_state_NO_ALARM]	},
		{	0x0200,	[limit_state_HI_HI]		},
		{	0x0400,	[limit_state_HI]		},
		{	0x0800,	[limit_state_LO_LO]		},
		{	0x1000,	[limit_state_LO]		},
		{	0x8000,	[limit_state_ST_REV]	}
	}
}

VARIABLE func1_AI_batch_id
{
	LABEL		[func_batch_id];		
	HELP		[func_batch_id_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_batch_unit
{
	LABEL		[func_batch_unit];		
	HELP		[func_batch_unit_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_batch_operation
{
	LABEL		[func_batch_operation];		
	HELP		[func_batch_operation_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_batch_phase
{
	LABEL		[func_batch_phase];		
	HELP		[func_batch_phase_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_out_value
{
	LABEL		[func_out_value];
	HELP		[func_ai_out_value_help];
	CLASS		OUTPUT & DYNAMIC;
	TYPE        FLOAT
	{
		DEFAULT_VALUE	0.0;
		DISPLAY_FORMAT	"7.3f";
	}
	HANDLING
		IF (func1_AI_target_mode == BLOCK_MODE_MAN)
		{
			READ & WRITE;
		}
		ELSE {
			READ;
		}
}

VARIABLE func1_AI_out_status_quality
{
	LABEL		[status_quality];
	HELP		[func_out_status_help];
	CLASS		OUTPUT & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		IF (func1_AI_target_mode == BLOCK_MODE_MAN)
		{
			STATUS_INPUT_NO_RCAS
		}
		ELSE {
			STATUS_OUTPUT_NO_RCAS
		}
	}
	POST_EDIT_ACTIONS
	{
		IF (func1_AI_target_mode == BLOCK_MODE_MAN)
		{
			method_set_status_limit
		}
	}
	HANDLING
		IF (func1_AI_target_mode == BLOCK_MODE_MAN)
		{
			READ & WRITE;
		}
		ELSE {
			READ;
		}
}

func1_AI_out_status_limit						LIKE VARIABLE	func1_AI_out_status_quality
{
	REDEFINE LABEL		[status_limit];		
	REDEFINE TYPE		ENUMERATED (1)
	{
		STATUS_INPUT_LIMIT (func1_AI_out_status_quality)
	}
}

VARIABLE func1_AI_pv_upper_range_value
{
	LABEL		[func_pv_scale_upper_value];
	HELP		[func_pv_scale_upper_value_help];
	CLASS		CONTAINED;
	TYPE        FLOAT
	{
		DEFAULT_VALUE 100;
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_pv_lower_range_value
{
	LABEL		[func_pv_scale_lower_value];
	HELP		[func_pv_scale_lower_value_help];
	CLASS		CONTAINED;
	TYPE        FLOAT
	{
		DEFAULT_VALUE 0;
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_out_upper_range_value
{
	LABEL		[func_upper_value];
	HELP		[func_out_scale_upper_value_help];
	CLASS		CONTAINED;
	TYPE        FLOAT
	{
		DEFAULT_VALUE 100;
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_out_lower_range_value
{
	LABEL		[func_lower_value];
	HELP		[func_out_scale_lower_value_help];
	CLASS		CONTAINED;
	TYPE        FLOAT
	{
		DEFAULT_VALUE 0;
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_out_unit
{
	LABEL		[digital_units];	
	HELP		[digital_units_help];
	CLASS		CONTAINED & SERVICE;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 1001;
		UNIT_LIST
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_out_decimal_point
{
	LABEL		[decimal_point];
	HELP		[decimal_point_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	2;
		{	0,   "0"		},
		{	1,   "1"		},
		{	2,   "2"		},
		{	3,   "3"		},
		{	4,   "4"		},
		{	5,   "5"		},
		{	6,   "6"		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_lin_type
{
	LABEL		[trans_lin_type];
	HELP		[trans_lin_type_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{ 0,	[linear]	}
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_channel
{
	LABEL		[func_channel];
	HELP		[func_channel_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE			CHANNEL_PRIMARY;
		{ CHANNEL_PRIMARY,		[trans_value]				},
		{ CHANNEL_SECONDARY_1,	[trans_temp_temperature_1]	},
		{ CHANNEL_SECONDARY_2,	[trans_temp_temperature_2]	}
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_pv_ftime
{
	LABEL		[func_pv_ftime];
	HELP		[func_pv_ftime_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0.0;
		MIN_VALUE		0.0;
		MAX_VALUE		100.0;
	}
	CONSTANT_UNIT	[sec];
	HANDLING	READ & WRITE;
}


//VARIABLE func1_AI_FSafeType /* Art der Reaktion auf Sensorausfall */
//{
//	/* ST_REV */
//	LABEL		[func_ao_fsafe_type];
//	HELP		[func_ao_fsafe_type_help_PROFILE_3];
//	CLASS		CONTAINED;
//	TYPE		ENUMERATED (1)
//	{
//		DEFAULT_VALUE    FUNC_AI_FAIL_SAFE_VALUE;
//		{ FUNC_AI_FAIL_SAFE_VALUE,			[func_ao_fsafe_type_FAIL_SAFE_VALUE]		},
//		{ FUNC_AI_STORING_LAST_SETPOINT,	[func_ao_fsafe_type_STORING_LAST_SETPOINT]	},
//		{ FUNC_AI_FAIL_SAFE_POSITION,		[func_ao_fsafe_type_FAIL_SAFE_POSITION]		}
//	}
//   HANDLING  READ & WRITE;
//}


//VARIABLE func1_AI_FSafeValue /* Ersatzwert bei Sensorausfall */
//{
//   /* ST_REV */
//   LABEL     [func_ao_fsafe_value] ;
//   HELP      [func_ao_fsafe_value_help];
//   CLASS     CONTAINED;
//   TYPE      FLOAT
//   {
//      DEFAULT_VALUE    0;
//   }
//   HANDLING  READ & WRITE;
//}


VARIABLE func1_AI_alarm_hys
{
	LABEL		[limit_hysteresis];
	HELP		[limit_hysteresis_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE 5.0;
		DISPLAY_FORMAT	"7.3f";	
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_hi_hi_lim
{
	LABEL		[limit_hi_hi];
	HELP		[limit_hi_hi_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE 90.0;
		DISPLAY_FORMAT	"7.3f";	
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_hi_lim 
{
	LABEL		[limit_hi];
	HELP		[limit_hi_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE 80.0;
		DISPLAY_FORMAT	"7.3f";	
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_lo_lim
{
	LABEL		[limit_lo];
	HELP		[limit_lo_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE 20.0;
		DISPLAY_FORMAT	"7.3f";	
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_lo_lo_lim
{
	LABEL		[limit_lo_lo];
	HELP		[limit_lo_lo_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE 10.0;
		DISPLAY_FORMAT	"7.3f";	
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_hi_hi_alm_unacknowledged
{
	LABEL		[limit_alarm_unacknowledged];
	HELP		[limit_alarm_unacknowledged_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (1);
	HANDLING	READ;
}

VARIABLE func1_AI_hi_hi_alm_state
{
	LABEL		[limit_state];
	HELP		[limit_hi_hi_state_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{	0,	[limit_state_NO_ALARM]	},
		{	1,	[limit_state_HI_HI]		}
	}
	HANDLING	READ;
}

VARIABLE func1_AI_hi_hi_alm_time_stamp 	
{
	LABEL		[limit_time_stamp];
	HELP		[limit_time_stamp_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE        TIME;
	HANDLING	READ;
}

VARIABLE func1_AI_hi_hi_alm_subcode
{
	LABEL		[limit_subcode];
	HELP		[limit_hi_hi_subcode_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2);
	HANDLING	READ;
}

VARIABLE func1_AI_hi_hi_alm_value
{
	LABEL		[limit_alarm_value];
	HELP		[limit_hi_hi_alarm_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
	HANDLING	READ;
}	

VARIABLE func1_AI_hi_alm_unacknowledged
{
	LABEL		[limit_warn_unacknowledged];
	HELP		[limit_warn_unacknowledged_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (1);
	HANDLING	READ;
}

VARIABLE func1_AI_hi_alm_state
{
	LABEL		[limit_state];
	HELP		[limit_hi_state_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{	0,	[limit_state_NO_WARNING]	},
		{	1,	[limit_state_HI]			}
	}
	HANDLING	READ;
}

VARIABLE func1_AI_hi_alm_time_stamp 	
{
	LABEL		[limit_time_stamp];
	HELP		[limit_time_stamp_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE        TIME;
	HANDLING	READ;
}

VARIABLE func1_AI_hi_alm_subcode
{
	LABEL		[limit_subcode];
	HELP		[limit_hi_subcode_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2);
	HANDLING	READ;
}

VARIABLE func1_AI_hi_alm_value
{
	LABEL		[limit_warn_value];
	HELP		[limit_hi_warn_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
	HANDLING	READ;
}

VARIABLE func1_AI_lo_alm_unacknowledged
{
	LABEL		[limit_warn_unacknowledged];
	HELP		[limit_warn_unacknowledged_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (1);
	HANDLING	READ;
}

VARIABLE func1_AI_lo_alm_state
{
	LABEL		[limit_state];
	HELP		[limit_lo_state_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{	0,	[limit_state_NO_WARNING]	},
		{	1,	[limit_state_LO]			}
	}
	HANDLING	READ;
}

VARIABLE func1_AI_lo_alm_time_stamp 	
{
	LABEL		[limit_time_stamp];
	HELP		[limit_time_stamp_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE        TIME;
	HANDLING	READ;
}

VARIABLE func1_AI_lo_alm_subcode
{
	LABEL		[limit_subcode];
	HELP		[limit_lo_subcode_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2);
	HANDLING	READ;
}

VARIABLE func1_AI_lo_alm_value
{
	LABEL		[limit_warn_value];
	HELP		[limit_lo_warn_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
	HANDLING	READ;
}

VARIABLE func1_AI_lo_lo_alm_unacknowledged
{
	LABEL		[limit_alarm_unacknowledged];
	HELP		[limit_alarm_unacknowledged_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (1);
	HANDLING	READ;
}

VARIABLE func1_AI_lo_lo_alm_state
{
	LABEL		[limit_state];
	HELP		[limit_lo_lo_state_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{	0,	[limit_state_NO_ALARM]		},
		{	1,	[limit_state_LO_LO]			}
	}
	HANDLING	READ;
}

VARIABLE func1_AI_lo_lo_alm_time_stamp 	
{
	LABEL		[limit_time_stamp];
	HELP		[limit_time_stamp_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE        TIME;
	HANDLING	READ;
}

VARIABLE func1_AI_lo_lo_alm_subcode
{
	LABEL		[limit_subcode];
	HELP		[limit_lo_lo_subcode_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2);
	HANDLING	READ;
}

VARIABLE func1_AI_lo_lo_alm_value
{
	LABEL		[limit_alarm_value];
	HELP		[limit_lo_lo_alarm_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
	HANDLING	READ;
}

VARIABLE func1_AI_simulate_value
{
	LABEL		[func_simulate_value];
	HELP		[func_ai_simulate_value_help];
	CLASS		CONTAINED & SERVICE;
	TYPE        FLOAT
	{
		DEFAULT_VALUE	0.0;
	}   
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_simulate_status_quality
{
	LABEL		[status_quality];
	HELP		[func_simulate_status_help];
	CLASS		CONTAINED & SERVICE;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_INPUT_NO_RCAS
	}
	POST_EDIT_ACTIONS
	{
		method_set_status_limit
	}
	HANDLING	READ & WRITE;
}

func1_AI_simulate_status_limit					LIKE VARIABLE	func1_AI_simulate_status_quality
{
	REDEFINE LABEL		[status_limit];		
	REDEFINE TYPE		ENUMERATED (1)
	{
		STATUS_INPUT_LIMIT (func1_AI_simulate_status_quality)
	}
}

VARIABLE func1_AI_simulation_enabled
{
	LABEL		[func_simulation_enabled];
	HELP		[func_simulation_enabled_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{	0,	[disabled]		},
		{	1,	[enabled]		}
	}
	HANDLING	READ & WRITE;
}


/***********************************************************************/
/*    Unit relations                                                   */
/***********************************************************************/

/* Physical Block */
/* no unit relations */

/* Temperature Transducer Block */
UNIT TB_TEMPERATURE_UNIT
{
	trans1_primary_value_unit:
	
	trans1_primary_value,
	trans1_secondary_value_1,
	trans1_secondary_value_2,
	trans1_bias_1,
	trans1_bias_2,
	trans1_upper_sensor_limit,
	trans1_lower_sensor_limit,
	trans1_reference_junction_temp,
	trans1_external_reference_junction_value
}

/* Function Block Analog Input */
UNIT AI_PV_SCALE_UNIT
{
/*	func1_AI_pv_unit:	*/
	trans1_primary_value_unit:
	
	func1_AI_pv_upper_range_value,
	func1_AI_pv_lower_range_value
}


UNIT AI_OUT_SCALE_UNIT
{
	func1_AI_out_unit:

	func1_AI_out_value,
	func1_AI_out_upper_range_value,
	func1_AI_out_lower_range_value,
	func1_AI_hi_hi_lim,
	func1_AI_hi_lim,
	func1_AI_lo_lim,
	func1_AI_lo_lo_lim,
	func1_AI_hi_hi_alm_value,
	func1_AI_hi_alm_value,
	func1_AI_lo_alm_value,
	func1_AI_lo_lo_alm_value,
	func1_AI_FSafeValue, 
	func1_AI_alarm_hys
}


/*******************************************************************************/
/*****	MENU Bar  **************************************************************/
/*******************************************************************************/

MENU Menu_Main_Specialist
{
	LABEL		[main_menu];
	ITEMS
	{
		Menu_File,
		Menu_S_Device,
		Menu_S_View,
		Menu_S_Options,
		Menu_Help
	}
}

MENU Menu_Main_Maintenance
{
	LABEL		[main_menu];
	ITEMS
	{
		Menu_File,
		Menu_M_Device,
		Menu_M_View,
		Menu_M_Options,
		Menu_Help
	}
}

/*---------------------------------------------------------------------*/
/*    Menu: Device													   */
/*---------------------------------------------------------------------*/

MENU Menu_S_Device
{
	LABEL		[menu_Device];
	ITEMS
	{
		std_NodeAddress,
		SEPARATOR,
		std_LoadinDevice,										
		std_LoadinPC,
		SEPARATOR,
		OnlineDialog_simulation,
		OnlineDialog_reset,
		SEPARATOR,
		OnlineDialog_write_locking
	}
}

MENU Menu_M_Device
{
	LABEL		[menu_Device];
	ITEMS
	{
		std_LoadinDevice,										
		std_LoadinPC											
	}
}


METHOD std_NodeAddress
{
	LABEL		[menu_Device_NodeAddress];
	DEFINITION
	{
	}
}

METHOD std_LoadinDevice
{
	LABEL		[menu_Device_LoadinDevice];
	DEFINITION
	{
	}
}

METHOD std_LoadinPC
{
	LABEL		[menu_Device_LoadinPC];
	DEFINITION
	{
	}
}

/*---------------------------------------------------------------------*/
/*    Menu: View													   */
/*---------------------------------------------------------------------*/

MENU Menu_S_View
{
	LABEL		[menu_View];
	ITEMS
	{
		OnlineWindow_display,
		OnlineWindow_yt,
		OnlineWindow_S_alarm,
		OnlineWindow_diagnosis,
		SEPARATOR,
		std_Funktionsleiste,
		std_Statuszeile,
		SEPARATOR,
		std_Update
	}
}

MENU Menu_M_View
{
	LABEL		[menu_View];
	ITEMS
	{
		OnlineWindow_display,
		OnlineWindow_yt,
		OnlineWindow_M_alarm,
		OnlineWindow_diagnosis,
		SEPARATOR,
		std_Funktionsleiste,
		std_Statuszeile,
		SEPARATOR,
		std_Update
	}
}

METHOD std_Funktionsleiste
{
	LABEL		[menu_View_Toolbar];
	DEFINITION
	{
	}
}

METHOD std_Statuszeile
{
	LABEL		[menu_View_Statusbar];
	DEFINITION
	{
	}
}

METHOD std_Update
{
	LABEL		[menu_View_Update];
	DEFINITION
	{
	}
}

/*******************************************************************************/
/*****	Online-Windows  ********************************************************/
/*******************************************************************************/

/*---------------------------------------------------------------------*/
/*    OnlineWindow: Display											   */
/*---------------------------------------------------------------------*/

MENU OnlineWindow_display
{
	LABEL		[menu_dialog_display];
	ITEMS
	{
		Page_display_out,
		Page_display_measure
	}
}

MENU Page_display_out
{
	LABEL		[menu_dialog_display_output];
	ITEMS
	{
		BarVal_out_display,
		Group_display_out
	}
}

MENU BarVal_out_display
{
	LABEL		[func_out_value];
	ITEMS
	{
		func1_AI_out_value,
		func1_AI_out_lower_range_value (READ_ONLY),
		func1_AI_out_upper_range_value	(READ_ONLY)
	}
}

MENU Group_display_out
{
	LABEL		[func_out_value];
	ITEMS
	{
		func1_AI_out_value (READ_ONLY),
		SEPARATOR,
		func1_AI_out_status_quality (READ_ONLY),
		func1_AI_out_status_limit (READ_ONLY)
	}
}


MENU Page_display_measure
{
	LABEL		[menu_dialog_display_measure];
	ITEMS
	{
		BarVal_pv_display,
		Group_display_primary,
		Group_display_secondary
	}
}

MENU BarVal_pv_display
{
	LABEL		[trans_value];
	ITEMS
	{
		trans1_primary_value,
		func1_AI_pv_lower_range_value (READ_ONLY),
		func1_AI_pv_upper_range_value (READ_ONLY)
	}
}

MENU Group_display_primary
{
	LABEL		[trans_value];
	ITEMS
	{
		trans1_primary_value,
		SEPARATOR,
		trans1_primary_value_status_quality,
		trans1_primary_value_status_limit
	}
}

MENU Group_display_secondary
{
	ITEMS
	{
		trans1_secondary_value_1,
		trans1_secondary_value_2,
		trans1_reference_junction_temp,
		SEPARATOR,
		trans1_input_fault_gen,
		trans1_input_fault_1,
		trans1_input_fault_2
	}
}

/*---------------------------------------------------------------------*/
/*    Y t diagram													   */
/*---------------------------------------------------------------------*/

MENU OnlineWindow_yt
{
	LABEL		[menu_yt_diagram] ;
	ITEMS
	{
			Page_process_yt
	}
}

MENU Page_process_yt
{
	LABEL		[menu_yt_diagram] ;
	ITEMS
	{
		Val_yt,
		OCX_out_display_yt
	}
}


MENU Val_yt
{
    LABEL [func_out_value] ;

	STYLE		"OCX_DYNAMIC_YT";
	ITEMS
	{
		func1_AI_out_value				(READ_ONLY),
	}
}


MENU OCX_out_display_yt								// OCX-Control
{
	LABEL		[menu_yt_diagram] ;
	STYLE		"PDMTVPROXY.PDMTVProxyCtrl.1";		// Name, unter dem das OCX in Windows registriert ist
	ITEMS
	{
		OCX_ProfilNum_yt,							// Profil-Nummer

		OCX_out_display_1,							// 1. Kurve

		OCX_UserSettings_yt		// Fr Speicherung von Settings, die vom Benutzer zur Laufzeit gendert wurden
	}
}


MENU OCX_out_display_1								// 1. Kurve im OCX-Control yt
{
    LABEL [func_out_value] ;
	STYLE		"OCX_DYNAMIC_YT";
	ITEMS
	{
		func1_AI_out_value				(READ_ONLY),
		func1_AI_out_lower_range_value	(READ_ONLY),
		func1_AI_out_upper_range_value	(READ_ONLY)
	}
}


VARIABLE OCX_ProfilNum_yt							// Profil-Variable fr OCX yt
{
	LABEL		"ProfilID";
	STYLE		"OCX_PROPERTY";
	CLASS		LOCAL;
	TYPE		INTEGER(2)
	{
		DEFAULT_VALUE	0;							// Profil 0 fr normale y-t-Darstellung
	}
	HANDLING    READ;
}

VARIABLE OCX_UserSettings_yt		// Fr Speicherung von Settings, die vom Benutzer zur Laufzeit gendert wurden
{
	LABEL		"UserSettings";
	STYLE		"OCX_PROPERTY";
	CLASS		LOCAL;
	TYPE		ASCII (1000)
	{
		DEFAULT_VALUE	"";
	}
	HANDLING	READ & WRITE;
}




/*---------------------------------------------------------------------*/
/*    OnlineWindow: Alarm States									   */
/*---------------------------------------------------------------------*/

MENU OnlineWindow_S_alarm
{
	LABEL		[menu_dialog_alarm];
	ITEMS
	{
		Page_alarm_sum,
		Page_hi_hi_alm,
		Page_hi_alm,
		Page_lo_alm,
		Page_lo_lo_alm
	}
}

MENU OnlineWindow_M_alarm
{
	LABEL		[menu_dialog_alarm];
	ITEMS
	{
		Page_alarm_sum
	}
}

MENU Page_alarm_sum
{
	LABEL		[menu_dialog_alarm_sum];
	ITEMS
	{
	    func1_AI_current_state_alarm_sum,
		func1_AI_unacknowledged_state_alarm_sum,
		func1_AI_unreported_state_alarm_sum,
		func1_AI_disabled_state_alarm_sum
	}
}

MENU Page_hi_hi_alm
{
	LABEL		[limit_hi_hi];
	ITEMS
	{
		func1_AI_hi_hi_alm_unacknowledged,
		func1_AI_hi_hi_alm_state,
		/* func1_AI_hi_hi_alm_time_stamp,		*/
		func1_AI_hi_hi_alm_subcode,
		func1_AI_hi_hi_lim				(READ_ONLY),
		func1_AI_hi_hi_alm_value
	}
}

MENU Page_hi_alm
{
	LABEL		[limit_hi];
	ITEMS
	{
		func1_AI_hi_alm_unacknowledged,
		func1_AI_hi_alm_state,
		/* func1_AI_hi_alm_time_stamp,		*/
		func1_AI_hi_alm_subcode,
		func1_AI_hi_lim				(READ_ONLY),
		func1_AI_hi_alm_value
	}
}

MENU Page_lo_alm
{
	LABEL		[limit_lo];
	ITEMS
	{
		func1_AI_lo_alm_unacknowledged,
		func1_AI_lo_alm_state,
		/* func1_AI_lo_alm_time_stamp,		*/
		func1_AI_lo_alm_subcode,
		func1_AI_lo_lim				(READ_ONLY),
		func1_AI_lo_alm_value
	}
}

MENU Page_lo_lo_alm
{
	LABEL		[limit_lo_lo];
	ITEMS
	{
		func1_AI_lo_lo_alm_unacknowledged,
		func1_AI_lo_lo_alm_state,
		/* func1_AI_lo_lo_alm_time_stamp,		*/
		func1_AI_lo_lo_alm_subcode,
		func1_AI_lo_lo_lim				(READ_ONLY),
		func1_AI_lo_lo_alm_value
	}
}


/*---------------------------------------------------------------------*/
/*    OnlineWindow: Diagnosis										   */
/*---------------------------------------------------------------------*/

MENU OnlineWindow_diagnosis
{
	LABEL		[menu_dialog_diagnosis];
	ITEMS
	{
		Page_diagnosis_general,
		Page_diagnosis_phys_block,
		Page_diagnosis_trans_block,
		Page_diagnosis_func_block
	}
}

MENU Page_diagnosis_general
{
	LABEL		[menu_dialog_general];
	ITEMS
	{
		phys_tag_desc			(READ_ONLY),
		phys_device_man_id,
		phys_device_id,
		phys_device_ser_num,
		phys_software_rev,
		phys_hardware_rev,
		phys_install_date		(READ_ONLY),
		phys_diagnosis
	}
}

MENU Page_diagnosis_phys_block
{
	LABEL		[blk_block_object_PHYSICAL];
	ITEMS
	{
		phys_blk_object,
		phys_blk_parent_class,
		phys_blk_class,
		phys_blk_profile,
		phys_blk_profile_rev,
		phys_st_rev,
		phys_actual_mode
	}
}

MENU Page_diagnosis_trans_block
{
	LABEL		[blk_block_object_TRANSDUCER];
	ITEMS
	{
		trans1_blk_object,
		trans1_blk_parent_class,
		trans1_blk_class,
		trans1_blk_profile,
		trans1_blk_profile_rev,
		trans1_st_rev,
		trans1_actual_mode
	}
}

MENU Page_diagnosis_func_block
{
	LABEL		[blk_block_object_FUNCTION];
	ITEMS
	{
		func1_AI_blk_object,
		func1_AI_blk_parent_class,
		func1_AI_blk_class,
		func1_AI_blk_profile,
		func1_AI_blk_profile_rev,
		func1_AI_st_rev,
		func1_AI_actual_mode
	}
}

/*******************************************************************************/
/*****	Online-Dialogs  ********************************************************/
/*******************************************************************************/

/*---------------------------------------------------------------------*/
/*    OnlineDialog: Simulation										   */
/*---------------------------------------------------------------------*/

MENU OnlineDialog_simulation
{
	LABEL		[menu_dialog_simulation];
	ITEMS
	{
		Page_simulation_input,
		Page_simulation_output
	}
}

MENU Page_simulation_input
{
	LABEL		[menu_dialog_simulation_input];
	ITEMS
	{
		func1_AI_simulation_enabled,
		Group_simulate_input,
		method_set
	}
}

MENU Group_simulate_input
{
	LABEL		[func_simulate_value];
	ITEMS
	{
		func1_AI_simulate_value,
		SEPARATOR,
		func1_AI_simulate_status_quality,
		func1_AI_simulate_status_limit
	}
}
MENU Page_simulation_output
{
	LABEL		[menu_dialog_simulation_output];
	ITEMS
	{
		func1_AI_target_mode,
		func1_AI_actual_mode,
		Group_simulate_output,
		method_set
	}
}

MENU Group_simulate_output
{
	LABEL		[func_out_value];
	ITEMS
	{
		func1_AI_out_value,
		SEPARATOR,
		func1_AI_out_status_quality,
		func1_AI_out_status_limit
	}
}


/*---------------------------------------------------------------------*/
/*    OnlineDialog: Reset											   */
/*---------------------------------------------------------------------*/

MENU OnlineDialog_reset
{
	LABEL		[master_reset];
	HELP		[master_reset_help];
	ITEMS
	{
		phys_factory_reset,
		phys_diagnosis,
		method_set
	}
}

/*---------------------------------------------------------------------*/
/*    OnlineDialog: Write Locking									   */
/*---------------------------------------------------------------------*/

MENU OnlineDialog_write_locking
{
	LABEL		[phys_write_locking];
	HELP		[phys_write_locking_help];
	ITEMS
	{
		phys_write_locking,
		/*phys_hw_write_protection,*/
		method_set
	}
}


/*******************************************************************************/
/*****	Table: Specialist  *****************************************************/
/*******************************************************************************/

MENU Table_Main_Specialist
{
	LABEL	DEVICE_TYPE;
	ITEMS
	{
		Tab_s_ident,
		Tab_s_input,
		Tab_s_output,
		Tab_s_interface,
		Tab_s_certificates
	}
}

MENU Tab_s_ident
{
	LABEL		[menu_ident];

	ITEMS
	{
		Tab_s_ident_opunit,
		Tab_s_ident_device
	}
}

MENU Tab_s_ident_opunit
{
	LABEL		[menu_ident_opunit];
	ITEMS
	{
		phys_tag_desc,
		phys_descriptor,	
		phys_message	
	}
}

MENU Tab_s_ident_device
{
	LABEL		[menu_ident_device];
	ITEMS
	{
		phys_device_man_id,
		phys_device_id,
		phys_device_ser_num,
		phys_software_rev,
		phys_hardware_rev,
		phys_install_date,
		phys_blk_profile_rev,
		phys_ident_number,
		Tab_st_rev
	}
}

MENU Tab_st_rev
{
	LABEL		[st_rev];
	ITEMS
	{
		rename_value.PHYS_ST_REV,
		rename_value.TRANS_ST_REV,
		rename_value.FUNC_ST_REV
	}
}

MENU Tab_s_input
{
	LABEL		[menu_input];
	ITEMS
	{
		trans1_lin_type,
		trans1_primary_value_unit,
		trans1_input_range,
		trans1_sensor_measure_type,
		trans1_bias_1, 
		trans1_bias_2, 
		trans1_reference_junction_type,
		trans1_external_reference_junction_value,
		trans1_sensor_connection,
		trans1_comp_wire_1,
		trans1_comp_wire_2,
		trans1_sensor_wire_check_1,
		trans1_sensor_wire_check_2,
		Tab_s_input_measindicator,
		Tab_s_input_measrange,
		Tab_s_input_measwindow
	}
}

MENU Tab_s_input_measindicator
{
	LABEL		[menu_output_indicator];
	ITEMS
	{
		trans1_min_sensor_value_1,
		trans1_min_sensor_value_2,
		trans1_max_sensor_value_1,
		trans1_max_sensor_value_2
	}
}

MENU Tab_s_input_measrange
{
	LABEL		[menu_input_measrange];
	ITEMS
	{
		trans1_lower_sensor_limit,	
		trans1_upper_sensor_limit	
	}
}

MENU Tab_s_input_measwindow
{
	LABEL		[menu_input_measwindow];
	ITEMS
	{
		func1_AI_pv_lower_range_value,	
		func1_AI_pv_upper_range_value	
	}
}

MENU Tab_s_output
{
	LABEL		[menu_output];
	ITEMS
	{
		Tab_s_output_scalewindow,
		Tab_s_output_signal,
		Tab_s_output_limits	
	}
}

MENU Tab_s_output_scalewindow
{
	LABEL		[menu_output_scalewindow];
	ITEMS
	{
		func1_AI_out_lower_range_value,	
		func1_AI_out_upper_range_value
	}
}

MENU Tab_s_output_signal
{
	LABEL		[menu_output_signal];
	ITEMS
	{
		func1_AI_out_unit,	
		func1_AI_pv_ftime,
		func1_AI_FSafeType,		
		func1_AI_FSafeValue		
	}
}

MENU Tab_s_output_limits
{
	LABEL		[menu_output_limits];
	ITEMS
	{
		func1_AI_lo_lo_lim,	
		func1_AI_lo_lim,	
		func1_AI_hi_lim,	
		func1_AI_hi_hi_lim,	
		func1_AI_alarm_hys	
	}
}




MENU Tab_s_interface
{
	LABEL		[menu_interface];
	ITEMS
	{
		Tab_s_interface_simulate
	}
}

MENU Tab_s_interface_simulate
{
	LABEL		[menu_interface_simulate];
	ITEMS
	{
		func1_AI_simulation_enabled		(READ_ONLY),
		func1_AI_simulate_value			(READ_ONLY),
		func1_AI_simulate_status_quality	(READ_ONLY),
		func1_AI_simulate_status_limit		(READ_ONLY)
	}
}

MENU Tab_s_certificates
{
	LABEL		[menu_certificates];
	ITEMS
	{
		phys_device_certification	(READ_ONLY)
	}
}


/*******************************************************************************/
/*****	Table: Maintenance  ****************************************************/
/*******************************************************************************/

MENU Table_Main_Maintenance
{
	LABEL	DEVICE_TYPE;
	ITEMS
	{
		Tab_m_ident
	}
}

MENU Tab_m_ident
{
	LABEL		[menu_ident];
	ITEMS
	{
		Tab_m_ident_opunit,
		Tab_m_ident_device
	}
}

MENU Tab_m_ident_opunit
{
	LABEL		[menu_ident_opunit];
	ITEMS
	{
		phys_tag_desc		(READ_ONLY),
		phys_descriptor,	
		phys_message	
	}
}

MENU Tab_m_ident_device
{
	LABEL		[menu_ident_device];
	ITEMS
	{
		phys_device_man_id,
		phys_device_id,
		phys_device_ser_num,
		phys_software_rev,
		phys_hardware_rev,
		phys_install_date		(READ_ONLY),
		phys_blk_profile_rev,
		phys_ident_number		(READ_ONLY),
		Tab_st_rev
	}
}


/*******************************************************************************/
/*****	Methods		************************************************************/
/*******************************************************************************/

METHOD method_set
{
	LABEL		[transfer];
	HELP		[transfer_help];
	DEFINITION
	{
	}
}


METHOD method_set_trans1_primary_value_unit
{
	CLASS		INPUT;
	DEFINITION
	{
		int	input_range;
		int temperature_unit;

		if (ivar_value(trans1_lin_type) == 0)
		{		
			input_range = ivar_value(trans1_input_range);
			if ((input_range >= 0) && (input_range <= 9))
				iassign(trans1_primary_value_unit, 1243);			// linear [mV]
			else { 
				if ((input_range >= 128) && (input_range <= 137))
					iassign(trans1_primary_value_unit, 1281);		// linear [Ohm]
				else
					if ((input_range >= 192) && (input_range <= 201))
						iassign(trans1_primary_value_unit, 1211);	// linear [mA]
			}

		}
		else {
			temperature_unit = ivar_value(trans1_primary_value_unit);
			if ((temperature_unit < 1000) || (temperature_unit > 1003))
				iassign(trans1_primary_value_unit, 1001);			// Temperature [C]
		}
	}
}

METHOD  method_set_trans1_input_range
{
	CLASS		INPUT;
	DEFINITION
	{
		int	primary_value_unit;


		if (ivar_value(trans1_lin_type) == 0)
		{		
			primary_value_unit = ivar_value(trans1_primary_value_unit);
			if (primary_value_unit == 1243)					// linear [mV]
			{
				// falls nicht bereits ein mV-Bereich ausgewaehlt ist
				if ((ivar_value(trans1_input_range) < 0) || (ivar_value(trans1_input_range) > 9))
					iassign(trans1_input_range, 0);
			}
			else if (primary_value_unit == 1281)			// linear [Ohm]
			{
				// falls nicht bereits ein Ohm-Bereich ausgewaehlt ist
				if ((ivar_value(trans1_input_range) < 128) || (ivar_value(trans1_input_range) > 137))
					iassign(trans1_input_range, 128);
			}
			else if (primary_value_unit == 1211)			// linear [mA]
			{
				// falls nicht bereits ein mA-Bereich ausgewaehlt ist
				if ((ivar_value(trans1_input_range) < 192) || (ivar_value(trans1_input_range) > 201))
					iassign(trans1_input_range, 192);
			}

		}
		// RTD's:
		else if ((ivar_value(trans1_lin_type) >= 100)  && (ivar_value(trans1_lin_type) <= 127))
		{
			// falls nicht bereits ein Ohm-Bereich ausgewaehlt ist
			if ((ivar_value(trans1_input_range) < 128) || (ivar_value(trans1_input_range) > 137))
				iassign(trans1_input_range, 128);
		}
		// Thermo-Elemente:
		else if ((ivar_value(trans1_lin_type) >= 128)  && (ivar_value(trans1_lin_type) <= 144))
		{
			// falls nicht bereits ein mV-Bereich ausgewaehlt ist
			if ((ivar_value(trans1_input_range) < 0) || (ivar_value(trans1_input_range) > 9))
				iassign(trans1_input_range, 0);
		}
		// Default
		else
		{
			iassign(trans1_input_range, 128);
		}

	}
}

METHOD method_set_status_limit
{
	CLASS		INPUT;
	DEFINITION
	{
		int	quality;
		int block_mode;			/* !!! temp.: bis Methoden mit Aufrufparametern funktionieren !!! */

		quality = ivar_value(func1_AI_simulate_status_quality);
		if ((quality == 0x20) || (quality == 0x30))
			iassign(func1_AI_simulate_status_limit, 0);

		block_mode	= ivar_value(func1_AI_target_mode);
		quality		= ivar_value(func1_AI_out_status_quality);
		if ((block_mode == BLOCK_MODE_MAN) && ((quality == 0x20) || (quality == 0x30)))
			iassign(func1_AI_out_status_limit, 0);
	}
}


/*******************************************************************************/
/*****	Commands  **************************************************************/
/*******************************************************************************/

MENU upload_variables
{
	LABEL		[menu_load_to_device];
	ITEMS
	{
	/* PHYSICAL BLOCK, STANDARD PARAMETER	*/
        phys_tag_desc,
	/* PHYSICAL BLOCK, ADDITIONAL PARAMETER	*/
        phys_descriptor,
        phys_message,
        phys_install_date,
		phys_ident_number,

	/* TRANDSDUCER BLOCK, STANDARD PARAMETER	*/
	/* TRANDSDUCER BLOCK, ADDITIONAL PARAMETER	*/
		trans1_lin_type,				// load order 1
		trans1_primary_value_unit,		// load order 2
		trans1_sensor_measure_type,		// load order 3
		trans1_input_range,				// load order 4
		trans1_bias_1,					// load order 5

	/* TRANDSDUCER BLOCK, ADDITIONAL PARAMETER (TC) */
		trans1_reference_junction_type,	// load order 6
		trans1_sensor_connection,		// load order 7
		trans1_comp_wire_1,				// load order 8

	/* TRANDSDUCER BLOCK, ADDITIONAL PARAMETER	*/
		trans1_bias_2,					// load order 9

	/* TRANDSDUCER BLOCK, ADDITIONAL PARAMETER (TC) */
		trans1_external_reference_junction_value, // load order 10
		trans1_comp_wire_2,				// load order 11
		trans1_sensor_wire_check_1,		// load order 12
		trans1_sensor_wire_check_2,		// load order 13

	/* TRANDSDUCER BLOCK, ADDITIONAL PARAMETER	*/
		trans1_max_sensor_value_1,		// load order 14
		trans1_min_sensor_value_1,		// load order 15
		trans1_max_sensor_value_2,		// load order 16
		trans1_min_sensor_value_2,		// load order 17

	/* FUNCTION BLOCK, STANDARD PARAMETER		*/
		func1_AI_batch_id, 
		func1_AI_batch_unit, 
		func1_AI_batch_operation, 
		func1_AI_batch_phase,

	/* FUNCTION BLOCK, ADDITIONAL PARAMETER		*/
		func1_AI_pv_upper_range_value,
		func1_AI_pv_lower_range_value,
	    func1_AI_out_upper_range_value,
        func1_AI_out_lower_range_value,
        func1_AI_out_unit,
        func1_AI_pv_ftime,
		func1_AI_FSafeType,		
		func1_AI_FSafeValue,	
        func1_AI_alarm_hys,
        func1_AI_hi_hi_lim,
        func1_AI_hi_lim,
        func1_AI_lo_lim,
        func1_AI_lo_lo_lim
	}
}


/*---------------------------------------------------------------------*/
/*    Physical Block												   */
/*---------------------------------------------------------------------*/

COMMAND read_phys_blk
{
	BLOCK physical_block;
	INDEX 0;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_blk_reserve, phys_blk_object, phys_blk_parent_class, phys_blk_class,
			phys_blk_dd_reference, phys_blk_dd_rev, phys_blk_profile, phys_blk_profile_rev,
			phys_blk_execution_time, phys_blk_num_parameters, phys_blk_index_view_1,
			phys_blk_num_view_lists
		}
	}
}

COMMAND read_phys_st_rev
{
	BLOCK physical_block;
	INDEX 1;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_st_rev
		}
	}
}

COMMAND read_phys_tag_desc
{
	BLOCK physical_block;
	INDEX 2;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_tag_desc
		}
	}
}

COMMAND write_phys_tag_desc
{
	BLOCK physical_block;
	INDEX 2;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			phys_tag_desc
		}
		REPLY
		{
		}
	}
}

COMMAND read_phys_strategy
{
	BLOCK physical_block;
	INDEX 3;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_strategy
		}
	}
}

COMMAND write_phys_strategy
{
	BLOCK physical_block;
	INDEX 3;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			phys_strategy
		}
		REPLY
		{
		}
	}
}

COMMAND read_phys_alert_key
{
	BLOCK physical_block;
	INDEX 4;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_alert_key
		}
	}
}

COMMAND write_phys_alert_key
{
	BLOCK physical_block;
	INDEX 4;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			phys_alert_key
		}
		REPLY
		{
		}
	}
}

COMMAND read_phys_target_mode
{
	BLOCK physical_block;
	INDEX 5;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_target_mode
		}
	}
}

COMMAND write_phys_target_mode
{
	BLOCK physical_block;
	INDEX 5;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
		 	phys_target_mode
		}
		REPLY
		{
		}
	}
}

COMMAND read_phys_mode
{
	BLOCK physical_block;
	INDEX 6;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			 phys_actual_mode, phys_permitted_mode, phys_normal_mode
		}
	}
}

COMMAND read_phys_alarm
{
	BLOCK physical_block;
	INDEX 7;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_current_state_alarm_sum, phys_unacknowledged_state_alarm_sum,
			phys_unreported_state_alarm_sum, phys_disabled_state_alarm_sum
		}
	}
}

COMMAND read_phys_software_rev
{
	BLOCK physical_block;
	INDEX 8;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_software_rev
		}
	}
}

COMMAND read_phys_hardware_rev
{
	BLOCK physical_block;
	INDEX 9;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_hardware_rev
		}
	}
}

COMMAND read_phys_device_man_id
{
	BLOCK physical_block;
	INDEX 10;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_device_man_id
		}
	}
}

COMMAND read_phys_device_id
{
	BLOCK physical_block;
	INDEX 11;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_device_id
		}
	}
}

COMMAND read_phys_device_ser_num
{
	BLOCK physical_block;
	INDEX 12;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_device_ser_num
		}
	}
}

COMMAND read_phys_diagnosis
{
	BLOCK physical_block;
	INDEX 13;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_diagnosis
		}
	}
}

COMMAND read_phys_diagnosis_extension
{
	BLOCK physical_block;
	INDEX 14;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_diagnosis_extension
		}
	}
}

COMMAND read_phys_diagnosis_mask
{
	BLOCK physical_block;
	INDEX 15;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_diagnosis_mask
		}
	}
}

COMMAND read_phys_diagnosis_extension_mask
{
	BLOCK physical_block;
	INDEX 16;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_diagnosis_extension_mask
		}
	}
}

COMMAND read_phys_device_certification
{
	BLOCK physical_block;
	INDEX 17;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_device_certification
		}
	}
}

COMMAND read_phys_write_locking
{
	BLOCK physical_block;
	INDEX 18;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_write_locking
		}
	}
}

COMMAND write_phys_write_locking
{
	BLOCK physical_block;
	INDEX 18;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			phys_write_locking
		}
		REPLY
		{
		}
	}
}

COMMAND read_phys_factory_reset
{
	BLOCK physical_block;
	INDEX 19;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_factory_reset
		}
	}
}

COMMAND write_phys_factory_reset
{
	BLOCK physical_block;
	INDEX 19;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			phys_factory_reset
		}
		REPLY
		{
		}
	}
}

COMMAND read_phys_descriptor
{
	BLOCK physical_block;
	INDEX 20;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_descriptor
		}
	}
}

COMMAND write_phys_descriptor
{
	BLOCK physical_block;
	INDEX 20;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			phys_descriptor
		}
		REPLY
		{
		}
	}
}

COMMAND read_phys_message
{
	BLOCK physical_block;
	INDEX 21;
	OPERATION  READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_message
		}
	}
}

COMMAND write_phys_message
{
	BLOCK physical_block;
	INDEX 21;
	OPERATION  WRITE;
	TRANSACTION
	{
		REQUEST
		{
			phys_message
		}
		REPLY
		{
		}
	}
}

COMMAND read_phys_install_date
{
	BLOCK physical_block;
	INDEX 22;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_install_date
		}
	}
}

COMMAND write_phys_install_date
{
	BLOCK physical_block;
	INDEX 22;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			phys_install_date
		}
		REPLY
		{
		}
	}
}

COMMAND read_phys_local_operation_enable
{
	BLOCK physical_block;
	INDEX 23;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_local_operation_enable
		}
	}
}

COMMAND write_phys_local_operation_enable
{
	BLOCK physical_block;
	INDEX 23;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			phys_local_operation_enable
		}
		REPLY
		{
		}
	}
}

COMMAND read_phys_ident_number
{
	BLOCK physical_block;
	INDEX 24;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_ident_number
		}
	}
}

COMMAND write_phys_ident_number
{
	BLOCK physical_block;
	INDEX 24;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			phys_ident_number
		}
		REPLY
		{
		}
	}
}

//COMMAND read_phys_hw_write_protection
//{
//	BLOCK physical_block;
//	INDEX 25;
//	OPERATION READ;
//	TRANSACTION
//	{
//		REQUEST
//		{
//		}
//		REPLY
//		{
//			phys_hw_write_protection
//		}
//	}
//}


/*---------------------------------------------------------------------*/
/*    Physical Block: Manufacturer specific parameters                 */
/*---------------------------------------------------------------------*/

/*---------------------------------------------------------------------*/
/*    Transducer Block:  Temperature								   */
/*---------------------------------------------------------------------*/

COMMAND read_trans1_blk
{
	BLOCK transducer_block_1;
	INDEX 0;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_blk_reserve, trans1_blk_object, trans1_blk_parent_class, trans1_blk_class,
			trans1_blk_dd_reference, trans1_blk_dd_rev, trans1_blk_profile, trans1_blk_profile_rev,
			trans1_blk_execution_time, trans1_blk_num_parameters, trans1_blk_index_view_1,
			trans1_blk_num_view_lists
		}
	}
}

COMMAND read_trans1_st_rev
{
	BLOCK transducer_block_1;
	INDEX 1;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_st_rev
		}
	}
}

COMMAND read_trans1_tag_desc
{
	BLOCK transducer_block_1;
	INDEX 2;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_tag_desc
		}
	}
}

COMMAND write_trans1_tag_desc
{
	BLOCK transducer_block_1;
	INDEX 2;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_tag_desc
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_strategy
{
	BLOCK transducer_block_1;
	INDEX 3;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_strategy
		}
	}
}

COMMAND write_trans1_strategy
{
	BLOCK transducer_block_1;
	INDEX 3;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_strategy
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_alert_key
{
	BLOCK transducer_block_1;
	INDEX 4;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_alert_key
		}
	}
}

COMMAND write_trans1_alert_key
{
	BLOCK transducer_block_1;
	INDEX 4;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_alert_key
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_target_mode
{
	BLOCK transducer_block_1;
	INDEX 5;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_target_mode
		}
	}
}

COMMAND write_trans1_target_mode
{
	BLOCK transducer_block_1;
	INDEX 5;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_target_mode
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_mode
{
	BLOCK transducer_block_1;
	INDEX 6;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			 trans1_actual_mode, trans1_permitted_mode, trans1_normal_mode
		}
	}
}

COMMAND read_trans1_alarm
{
	BLOCK transducer_block_1;
	INDEX 7;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_current_state_alarm_sum, trans1_unacknowledged_state_alarm_sum,
			trans1_unreported_state_alarm_sum, trans1_disabled_state_alarm_sum
		}
	}
}

COMMAND read_trans1_primary_value
{
	BLOCK transducer_block_1;
	INDEX 8;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_primary_value, 
			trans1_primary_value_status_quality	<0xFC>,
			trans1_primary_value_status_limit	<0x03>
		}
	}
}

COMMAND read_trans1_primary_value_unit
{
	BLOCK transducer_block_1;
	INDEX 9;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_primary_value_unit 
		}
	}
}

COMMAND write_trans1_primary_value_unit
{
	BLOCK transducer_block_1;
	INDEX 9;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_primary_value_unit 
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_secondary_value_1
{
	BLOCK transducer_block_1;
	INDEX 10;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_secondary_value_1, 
			trans1_secondary_value_1_status_quality	<0xFC>,
			trans1_secondary_value_1_status_limit	<0x03>
		}
	}
}

COMMAND read_trans1_secondary_value_2
{
	BLOCK transducer_block_1;
	INDEX 11;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_secondary_value_2, 
			trans1_secondary_value_2_status_quality	<0xFC>,
			trans1_secondary_value_2_status_limit	<0x03>
		}
	}
}

COMMAND read_trans1_sensor_measure_type
{
	BLOCK transducer_block_1;
	INDEX 12;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_sensor_measure_type
		}
	}
}

COMMAND write_trans1_sensor_measure_type
{
	BLOCK transducer_block_1;
	INDEX 12;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_sensor_measure_type
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_input_range
{
	BLOCK transducer_block_1;
	INDEX 13;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_input_range
		}
	}
}

COMMAND write_trans1_input_range
{
	BLOCK transducer_block_1;
	INDEX 13;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_input_range
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_lin_type
{
	BLOCK transducer_block_1;
	INDEX 14;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_lin_type
		}
	}
}

COMMAND write_trans1_lin_type
{
	BLOCK transducer_block_1;
	INDEX 14;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_lin_type
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_bias_1
{
	BLOCK transducer_block_1;
	INDEX 19;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_bias_1
		}
	}
}

COMMAND write_trans1_bias_1
{
	BLOCK transducer_block_1;
	INDEX 19;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_bias_1
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_bias_2
{
	BLOCK transducer_block_1;
	INDEX 20;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			 trans1_bias_2
		}
	}
}

COMMAND write_trans1_bias_2
{
	BLOCK transducer_block_1;
	INDEX 20;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_bias_2
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_upper_sensor_limit
{
	BLOCK transducer_block_1;
	INDEX 21;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_upper_sensor_limit
		}
	}
}

COMMAND read_trans1_lower_sensor_limit
{
	BLOCK transducer_block_1;
	INDEX 22;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_lower_sensor_limit
		}
	}
}

COMMAND read_trans1_input_fault_gen
{
	BLOCK transducer_block_1;
	INDEX 24;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_input_fault_gen
		}
	}
}

COMMAND read_trans1_input_fault_1
{
	BLOCK transducer_block_1;
	INDEX 25;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_input_fault_1
		}
	}
}

COMMAND read_trans1_input_fault_2
{
	BLOCK transducer_block_1;
	INDEX 26;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_input_fault_2
		}
	}
}

COMMAND read_trans1_sensor_wire_check_1
{
	BLOCK transducer_block_1;
	INDEX 27;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_sensor_wire_check_1
		}
	}
}

COMMAND write_trans1_sensor_wire_check_1
{
	BLOCK transducer_block_1;
	INDEX 27;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_sensor_wire_check_1
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_sensor_wire_check_2
{
	BLOCK transducer_block_1;
	INDEX 28;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_sensor_wire_check_2
		}
	}
}

COMMAND write_trans1_sensor_wire_check_2
{
	BLOCK transducer_block_1;
	INDEX 28;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_sensor_wire_check_2
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_max_sensor_value_1
{
	BLOCK transducer_block_1;
	INDEX 29;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_max_sensor_value_1
		}
	}
}

COMMAND write_trans1_max_sensor_value_1
{
	BLOCK transducer_block_1;
	INDEX 29;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_max_sensor_value_1
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_min_sensor_value_1
{
	BLOCK transducer_block_1;
	INDEX 30;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_min_sensor_value_1
		}
	}
}

COMMAND write_trans1_min_sensor_value_1
{
	BLOCK transducer_block_1;
	INDEX 30;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_min_sensor_value_1
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_max_sensor_value_2
{
	BLOCK transducer_block_1;
	INDEX 31;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_max_sensor_value_2
		}
	}
}

COMMAND write_trans1_max_sensor_value_2
{
	BLOCK transducer_block_1;
	INDEX 31;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_max_sensor_value_2
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_min_sensor_value_2
{
	BLOCK transducer_block_1;
	INDEX 32;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_min_sensor_value_2
		}
	}
}

COMMAND write_trans1_min_sensor_value_2
{
	BLOCK transducer_block_1;
	INDEX 32;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_min_sensor_value_2
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_reference_junction_temp
{
	BLOCK transducer_block_1;
	INDEX 33; 
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_reference_junction_temp
		}
	}
}

COMMAND read_trans1_reference_junction_type
{
	BLOCK transducer_block_1;
	INDEX 34; 
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_reference_junction_type
		}
	}
}

COMMAND write_trans1_reference_junction_type
{
	BLOCK transducer_block_1;
	INDEX 34;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_reference_junction_type
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_external_reference_junction_value
{
	BLOCK transducer_block_1;
	INDEX 35; 
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_external_reference_junction_value
		}
	}
}

COMMAND write_trans1_external_reference_junction_value
{
	BLOCK transducer_block_1;
	INDEX 35; 
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_external_reference_junction_value
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_sensor_connection
{
	BLOCK transducer_block_1;
	INDEX 36; 
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_sensor_connection
		}
	}
}

COMMAND write_trans1_sensor_connection
{
	BLOCK transducer_block_1;
	INDEX 36; 
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_sensor_connection
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_comp_wire_1
{
	BLOCK transducer_block_1;
	INDEX 37; 
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_comp_wire_1
		}
	}
}

COMMAND write_trans1_comp_wire_1
{
	BLOCK transducer_block_1;
	INDEX 37; 
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_comp_wire_1
		}
		REPLY
		{
		}
	}
}

COMMAND read_trans1_comp_wire_2
{
	BLOCK transducer_block_1;
	INDEX 38; 
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_comp_wire_2
		}
	}
}

COMMAND write_trans1_comp_wire_2
{
	BLOCK transducer_block_1;
	INDEX 38; 
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_comp_wire_2
		}
		REPLY
		{
		}
	}
}


/*---------------------------------------------------------------------*/
/*    Function Block												   */
/*---------------------------------------------------------------------*/

COMMAND read_func1_AI_blk
{
	BLOCK function_block_1;
	INDEX 0;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_blk_reserve, func1_AI_blk_object, func1_AI_blk_parent_class, func1_AI_blk_class,
			func1_AI_blk_dd_reference, func1_AI_blk_dd_rev, func1_AI_blk_profile, func1_AI_blk_profile_rev,
			func1_AI_blk_execution_time, func1_AI_blk_num_parameters, func1_AI_blk_index_view_1,
			func1_AI_blk_num_view_lists
		}
	}
}

COMMAND read_func1_AI_st_rev
{
	BLOCK function_block_1;
	INDEX 1;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_st_rev   
		}
	}
}

COMMAND read_func1_AI_tag_desc
{
	BLOCK function_block_1;
	INDEX 2;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_tag_desc
		}
	}
}

COMMAND write_func1_AI_tag_desc
{
	BLOCK function_block_1;
	INDEX 2;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func1_AI_tag_desc
		}
		REPLY
		{
		}
	}
}

COMMAND read_func1_AI_strategy
{
	BLOCK function_block_1;
	INDEX 3;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_strategy
		}
	}
}

COMMAND write_func1_AI_strategy
{
	BLOCK function_block_1;
	INDEX 3;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func1_AI_strategy
		}
		REPLY
		{
		}
	}
}

COMMAND read_func1_AI_alert_key
{
	BLOCK function_block_1;
	INDEX 4;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_alert_key
		}
	}
}

COMMAND write_func1_AI_alert_key
{
	BLOCK function_block_1;
	INDEX 4;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func1_AI_alert_key
		}
		REPLY
		{
		}
	}
}

COMMAND read_func1_AI_target_mode
{
	BLOCK function_block_1;
	INDEX 5;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_target_mode
		}
	}
}

COMMAND write_func1_AI_target_mode
{
	BLOCK function_block_1;
	INDEX 5;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func1_AI_target_mode
		}
		REPLY
		{
		}
	}
}

COMMAND read_func1_AI_mode
{
	BLOCK function_block_1;
	INDEX 6;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			 func1_AI_actual_mode, func1_AI_permitted_mode, func1_AI_normal_mode
		}
	}
}

COMMAND read_func1_AI_alarm
{
	BLOCK function_block_1;
	INDEX 7;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_current_state_alarm_sum, func1_AI_unacknowledged_state_alarm_sum,
			func1_AI_unreported_state_alarm_sum, func1_AI_disabled_state_alarm_sum
		}
	}
}

COMMAND read_func1_AI_batch_information
{
	BLOCK function_block_1;
	INDEX 8;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_batch_id, func1_AI_batch_unit, func1_AI_batch_operation, func1_AI_batch_phase
		}
	}
}

COMMAND write_func1_AI_batch_information
{
	BLOCK function_block_1;
	INDEX 8;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func1_AI_batch_id, func1_AI_batch_unit, func1_AI_batch_operation, func1_AI_batch_phase
		}
		REPLY
		{
		}
	}
}

COMMAND read_func1_AI_out
{
	BLOCK function_block_1;
	INDEX 10;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_out_value, 
			func1_AI_out_status_quality	<0xFC>,
			func1_AI_out_status_limit		<0x03>,
		}
	}
}

COMMAND write_func1_AI_out
{
	BLOCK function_block_1;
	INDEX 10;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func1_AI_out_value, 
			func1_AI_out_status_quality	<0xFC>,
			func1_AI_out_status_limit		<0x03>,
		}
		REPLY
		{
		}
	}
}

COMMAND read_func1_AI_pv
{
	BLOCK function_block_1;
	INDEX 11;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_pv_upper_range_value, func1_AI_pv_lower_range_value
		}
	}
}

COMMAND write_func1_AI_pv
{
	BLOCK function_block_1;
	INDEX 11;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func1_AI_pv_upper_range_value, func1_AI_pv_lower_range_value
		}
		REPLY
		{
		}
	}
}

COMMAND read_func1_AI_out_scale
{
	BLOCK function_block_1;
	INDEX 12;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_out_upper_range_value,	func1_AI_out_lower_range_value, 
			func1_AI_out_unit, func1_AI_out_decimal_point
		}
	}
}

COMMAND write_func1_AI_out_scale
{
	BLOCK function_block_1;
	INDEX 12;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func1_AI_out_upper_range_value, func1_AI_out_lower_range_value, 	
			func1_AI_out_unit, func1_AI_out_decimal_point
		}
		REPLY
		{
		}
	}
}

COMMAND read_func1_AI_lin_type
{
	BLOCK function_block_1;
	INDEX 13;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_lin_type
		}
	}
}

COMMAND write_func1_AI_lin_type
{
	BLOCK function_block_1;
	INDEX 13;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func1_AI_lin_type
		}
		REPLY
		{
		}
	}
}

COMMAND read_func1_AI_channel
{
	BLOCK function_block_1;
	INDEX 14;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_channel
		}
	}
}

COMMAND write_func1_AI_channel
{
	BLOCK function_block_1;
	INDEX 14;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func1_AI_channel
		}
		REPLY
		{
		}
	}
}

COMMAND read_func1_AI_pv_ftime
{
	BLOCK function_block_1;
	INDEX 16;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_pv_ftime
		}
	}
}

COMMAND write_func1_AI_pv_ftime
{
	BLOCK function_block_1;
	INDEX 16;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func1_AI_pv_ftime
		}
		REPLY
		{
		}
	}
}


//COMMAND read_func1_AI_FSafeType
//{
//	BLOCK function_block_1;
//	INDEX 17;
//	OPERATION READ;
//	TRANSACTION
//	{
//		REQUEST
//		{
//		}
//		REPLY
//		{
//			func1_AI_FSafeType
//		}
//	}
//}

//COMMAND write_func1_AI_FSafeType
//{
//	BLOCK function_block_1;
//	INDEX 17;
//	OPERATION WRITE;
//	TRANSACTION
//	{
//		REQUEST
//		{
//			func1_AI_FSafeType
//		}
//		REPLY
//		{
//		}
//	}
//}

//COMMAND read_func1_AI_FSafeValue
//{
//	BLOCK function_block_1;
//	INDEX 18;
//	OPERATION READ;
//	TRANSACTION
//	{
//		REQUEST
//		{
//		}
//		REPLY
//		{
//			func1_AI_FSafeValue
//		}
//	}
//}

//COMMAND write_func1_AI_FSafeValue
//{
//	BLOCK function_block_1;
//	INDEX 18;
//	OPERATION WRITE;
//	TRANSACTION
//	{
//		REQUEST
//		{
//			func1_AI_FSafeValue
//		}
//		REPLY
//		{
//		}
//	}
//}


COMMAND read_func1_AI_alarm_hys
{
	BLOCK function_block_1;
	INDEX 19;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_alarm_hys
		}
	}
}

COMMAND write_func1_AI_alarm_hys
{
	BLOCK function_block_1;
	INDEX 19;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func1_AI_alarm_hys
		}
		REPLY
		{
		}
	}
}

COMMAND read_func1_AI_hi_hi_lim
{
	BLOCK function_block_1;
	INDEX 21;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_hi_hi_lim
		}
	}
}

COMMAND write_func1_AI_hi_hi_lim
{
	BLOCK function_block_1;
	INDEX 21;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func1_AI_hi_hi_lim
		}
		REPLY
		{
		}
	}
}

COMMAND read_func1_AI_hi_lim
{
	BLOCK function_block_1;
	INDEX 23;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_hi_lim
		}
	}
}

COMMAND write_func1_AI_hi_lim
{
	BLOCK function_block_1;
	INDEX 23;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func1_AI_hi_lim
		}
		REPLY
		{
		}
	}
}

COMMAND read_func1_AI_lo_lim
{
	BLOCK function_block_1;
	INDEX 25;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_lo_lim
		}
	}
}

COMMAND write_func1_AI_lo_lim
{
	BLOCK function_block_1;
	INDEX 25;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func1_AI_lo_lim
		}
		REPLY
		{
		}
	}
}

COMMAND read_func1_AI_lo_lo_lim
{
	BLOCK function_block_1;
	INDEX 27;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_lo_lo_lim
		}
	}
}

COMMAND write_func1_AI_lo_lo_lim
{
	BLOCK function_block_1;
	INDEX 27;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func1_AI_lo_lo_lim
		}
		REPLY
		{
		}
	}
}

COMMAND read_func1_AI_hi_hi_alm
{
	BLOCK function_block_1;
	INDEX 30;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_hi_hi_alm_unacknowledged, func1_AI_hi_hi_alm_state,
			func1_AI_hi_hi_alm_time_stamp, func1_AI_hi_hi_alm_subcode,
			func1_AI_hi_hi_alm_value
		}
	}
}

COMMAND read_func1_AI_hi_alm
{
	BLOCK function_block_1;
	INDEX 31;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_hi_alm_unacknowledged, func1_AI_hi_alm_state,
			func1_AI_hi_alm_time_stamp, func1_AI_hi_alm_subcode,
			func1_AI_hi_alm_value
		}
	}
}

COMMAND read_func1_AI_lo_alm
{
	BLOCK function_block_1;
	INDEX 32;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_lo_alm_unacknowledged, func1_AI_lo_alm_state,
			func1_AI_lo_alm_time_stamp, func1_AI_lo_alm_subcode,
			func1_AI_lo_alm_value
		}
	}
}

COMMAND read_func1_AI_lo_lo_alm
{
	BLOCK function_block_1;
	INDEX 33;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_lo_lo_alm_unacknowledged, func1_AI_lo_lo_alm_state,
			func1_AI_lo_lo_alm_time_stamp, func1_AI_lo_lo_alm_subcode,
			func1_AI_lo_lo_alm_value
		}
	}
}

COMMAND read_func1_AI_simulate
{
	BLOCK function_block_1;
	INDEX 34;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_simulate_status_quality	<0xFC>,
			func1_AI_simulate_status_limit		<0x03>,
			func1_AI_simulate_value, 
			func1_AI_simulation_enabled
		}
	}
}

COMMAND write_func1_AI_simulate
{
	BLOCK function_block_1;
	INDEX 34;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func1_AI_simulate_status_quality	<0xFC>,
			func1_AI_simulate_status_limit		<0x03>,
			func1_AI_simulate_value, 
			func1_AI_simulation_enabled
		}
		REPLY
		{
		}
	}
}
